﻿using CRM.Domain.Branch.Models;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Branch.Events
{
    [EventVersion("BranchAddressModifiedEvent", 1)]
    public class BranchAddressModifiedEvent : AggregateEvent<BranchAggregate, BranchId>
    {
        public BranchAddressModifiedEvent(AddressModel address)
        {
            Address = address;
        }

        public AddressModel Address { get; }
    }
}