﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Branch.Events
{
    [EventVersion("BranchNameModifiedEvent", 1)]
    public class BranchNameModifiedEvent : AggregateEvent<BranchAggregate, BranchId>
    {
        public BranchNameModifiedEvent(string branchName)
        {
            BranchName = branchName;
        }

        public string BranchName { get; }
    }
}