﻿using EventFlow.Entities;

namespace CRM.Domain.CallScript.Entities
{
    public class CallScriptComment : Entity<CallScriptCommentId>
    {
        public CallScriptComment(CallScriptCommentId id) : base(id)
        {
        }

        public CallScriptComment(CallScriptCommentId id,
            string commentBody,
            string commentQuote,
            string userId) : base(id)
        {
            CommentBody = commentBody;
            CommentQuote = commentQuote;
            UserId = userId;
        }

        public string? CommentBody { get; set; }
        public string? CommentQuote { get; set; }
        public string? UserId { get; set; }
    }
}