﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.CallScript.Events
{
    [EventVersion("CallScriptModifiedEvent", 1)]
    public class CallScriptModifiedEvent : AggregateEvent<CallScriptAggregate, CallScriptId>
    {
        public CallScriptModifiedEvent(string callScriptBody)
        {
            CallScriptBody = callScriptBody;
        }

        public string CallScriptBody { get; }
    }
}