﻿using CRM.Domain.CallScript.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.CallScript.Events
{
    [EventVersion("callscriptCommentRemoved", 1)]
    public class CommentRemovedEvent : AggregateEvent<CallScriptAggregate, CallScriptId>
    {
        public CommentRemovedEvent(CallScriptCommentId callscriptCommentId)
        {
            CallscriptCommentId = callscriptCommentId;
        }

        public CallScriptCommentId CallscriptCommentId { get; }
    }
}