﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.CallScript.Events
{
    [EventVersion("CallScriptTagAddedEvent", 1)]
    public class TagAddedEvent : AggregateEvent<CallScriptAggregate, CallScriptId>
    {
        public TagAddedEvent(string tag)
        {
            Tag = tag;
        }

        public string Tag { get; }
    }
}