﻿using System;

namespace CRM.Domain.CallScript.Models
{
    public class CallScriptCommentModel
    {
        public CallScriptCommentModel(string callscriptId)
        {
            CallscriptId = callscriptId;
        }

        public CallScriptCommentModel(string id,
            string commentBody,
            string commentQuote,
            string userId,
            DateTimeOffset timestamp,
            string callscriptId)
        {
            Id = id;
            CommentBody = commentBody;
            CommentQuote = commentQuote;
            UserId = userId;
            CallscriptId = callscriptId;
            CreateDate = timestamp.UtcDateTime;
            LastModifiedDate = timestamp.UtcDateTime;
        }

        public string? Id { get; set; }
        public string? CommentBody { get; set; }
        public string? CommentQuote { get; set; }
        public string? UserId { get; set; }
        public string CallscriptId { get; set; }

        public DateTime? CreateDate { get; set; }
        public DateTime? LastModifiedDate { get; set; }
    }
}