﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Customer.Events
{
    [EventVersion("CustomerMainCustomerBranchModifiedEvent", 1)]
    public class CustomerMainCustomerBranchModifiedEvent : AggregateEvent<CustomerAggregate, CustomerId>
    {
        public CustomerMainCustomerBranchModifiedEvent(string customerBranchId)
        {
            CustomerBranchId = customerBranchId;
        }

        public string CustomerBranchId { get; }
    }
}