﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Dossier.Events
{
    [EventVersion("DossierBranchAddedEvent", 1)]
    public class DossierBranchAddedEvent : AggregateEvent<DossierAggregate, DossierId>
    {
        public DossierBranchAddedEvent(string branchId)
        {
            BranchId = branchId;
        }

        public string BranchId { get; }
    }
}