﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Dossier.Events
{
    [EventVersion("DossierBranchRemovedEvent", 1)]
    public class DossierBranchRemovedEvent : AggregateEvent<DossierAggregate, DossierId>
    {
        public DossierBranchRemovedEvent(string branchId)
        {
            BranchId = branchId;
        }

        public string BranchId { get; }
    }
}