﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Duty.Events
{
    [EventVersion("DutyActionDescriptionModifiedEvent", 1)]
    public class DutyActionDescriptionModifiedEvent : AggregateEvent<DutyAggregate, DutyId>
    {
        public DutyActionDescriptionModifiedEvent(string actionDescription)
        {
            ActionDescription = actionDescription;
        }

        public string ActionDescription { get; }
    }
}