﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Duty.Events
{
    [EventVersion("DutyCategoryModifiedEvent", 1)]
    public class DutyCategoryModifiedEvent : AggregateEvent<DutyAggregate, DutyId>
    {
        public DutyCategoryModifiedEvent(string category)
        {
            Category = category;
        }

        public string Category { get; }
    }
}