﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.Duties
{
    [EventVersion("DutyAddedEvent2", 1)]
    public class DutyAddedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyAddedEvent(DutyId id)
        {
            Id = id;
        }

        public DutyId Id { get;}
    }
}
