﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.Duties
{
    [EventVersion("DutyDeletedEvent2", 1)]
    public class DutyDeletedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyDeletedEvent(DutyId id)
        {
            Id = id;
        }

        public DutyId Id { get; }
    }
}
