﻿using System;
using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.Duties
{
    [EventVersion("DutyModifiedEndEvent2", 1)]

    public class DutyModifiedEndEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyModifiedEndEvent(DutyId id,
            DateTime end)
        {
            Id = id;
            End = end;
        }

        public DutyId Id { get; }
        public DateTime End { get; }
    }
}
