﻿using System;
using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.Duties
{
    [EventVersion("DutyModifiedStartEvent2", 1)]
    public class DutyModifiedStartEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyModifiedStartEvent(DutyId id,
            DateTime start)
        {
            Id = id;
            Start = start;
        }

        public DutyId Id { get; }
        public DateTime Start { get; set; }
    }
}
