﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.DutyTemplate
{
    [EventVersion("DutyTemplateTimeSlotTemplateAddedEvent2", 1)]
    public class DutyTemplateTimeSlotTemplateAddedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyTemplateTimeSlotTemplateAddedEvent(TimeSlotTemplateId templateTimeSlotId)
        {
            TemplateTimeSlotId = templateTimeSlotId;
        }

        public TimeSlotTemplateId TemplateTimeSlotId { get;}
    }
}
