﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.DutyTemplate
{
    [EventVersion("DutyTemplateTimeSlotTemplateNameModifiedEvent2", 1)]
    public class DutyTemplateTimeSlotTemplateNameModifiedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyTemplateTimeSlotTemplateNameModifiedEvent(TimeSlotTemplateId templateTimeSlotId,
            string timeSlotName)
        {
            TemplateTimeSlotId = templateTimeSlotId;
            TimeSlotName = timeSlotName;
        }

        public TimeSlotTemplateId TemplateTimeSlotId { get;}
        public string TimeSlotName { get; }
    }
}
