﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.DutyTemplate
{
    [EventVersion("DutyTemplateTimeSlotTemplateNoteModifiedEvent2", 1)]
    public class DutyTemplateTimeSlotTemplateNoteModifiedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyTemplateTimeSlotTemplateNoteModifiedEvent(TimeSlotTemplateId templateTimeSlotId,
            string note)
        {
            TemplateTimeSlotId = templateTimeSlotId;
            Note = note;
        }

        public TimeSlotTemplateId TemplateTimeSlotId { get; }
        public string Note { get; }
    }
}
