﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.GlobalDutyTemplate
{
    [EventVersion("GlobalDutyTemplateModifiedUsageEvent", 1)]
    public class GlobalDutyTemplateModifiedUsageEvent : AggregateEvent<GlobalDutyTemplateAggregate, GlobalDutyTemplateId>
    {
        public GlobalDutyTemplateModifiedUsageEvent(bool increase)
        {
            Increase = increase;
        }

        public bool Increase { get; }
    }
}
