﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.GlobalDutyTemplate
{
    [EventVersion("GlobalDutyTemplateNoteModifiedEvent", 1)]
    public class GlobalDutyTemplateNoteModifiedEvent : AggregateEvent<GlobalDutyTemplateAggregate, GlobalDutyTemplateId>
    {
        public GlobalDutyTemplateNoteModifiedEvent(string note)
        {
            Note = note;
        }

        public string Note { get; }
    }
}
