﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.GlobalDutyTemplate
{
    [EventVersion("GlobalDutyTemplateTitleModifiedEvent", 1)]
    public class GlobalDutyTemplateTitleModifiedEvent : AggregateEvent<GlobalDutyTemplateAggregate, GlobalDutyTemplateId>
    {
        public GlobalDutyTemplateTitleModifiedEvent(string title)
        {
            Title = title;
        }

        public string Title { get; }
    }
}
