﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.GlobalDutyTemplate.TimeSlots
{
    [EventVersion("GlobalDutyTemplateTimeSlotDeletedEvent", 1)]

    public class GlobalDutyTemplateTimeSlotDeletedEvent : AggregateEvent<GlobalDutyTemplateAggregate, GlobalDutyTemplateId>
    {
        public GlobalDutyTemplateTimeSlotDeletedEvent(TimeSlotTemplateId idTimeSlotTemplate)
        {
            IdTimeSlotTemplate = idTimeSlotTemplate;
        }

        public TimeSlotTemplateId IdTimeSlotTemplate { get; }
    }
}
