﻿using CRM.Domain.DutyCategoryAndTemplate.Entities;

namespace CRM.Domain.DutyCategoryAndTemplate.Models
{
    public class DutyContactPointModel
    {
        public DutyContactPointModel()
        {
        }

        public DutyContactPointModel(string id,
            string contactDetailId,
            string description)
        {
            Id = id;
            ContactDetailId = contactDetailId;
            Description = description;
        }

        public DutyContactPointModel(DutyContactPoint dcp)
        {
            Id = dcp.Id.Value;
            ContactDetailId = dcp.ContactDetailId;
            Description = dcp.Description;
        }

        public string Id { get; set; }
        public string ContactDetailId { get; set; }
        public string Description { get; set; }

    }
}
