﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Employee.Events
{
    [EventVersion("EmployeeCanBeOnDutyModifiedEvent", 1)]
    public class EmployeeCanBeOnDutyModifiedEvent : AggregateEvent<EmployeeAggregate, EmployeeId>
    {
        public EmployeeCanBeOnDutyModifiedEvent(bool canBeOnDuty)
        {
            CanBeOnDuty = canBeOnDuty;
        }

        public bool CanBeOnDuty { get; }
    }
}