﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Employee.Events
{
    [EventVersion("EmployeeTagAddedEvent", 1)]
    public class TagAddedEvent : AggregateEvent<EmployeeAggregate, EmployeeId>
    {
        public TagAddedEvent(string tag)
        {
            Tag = tag;
        }

        public string Tag { get; }
    }
}