﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Employee.Events
{
    [EventVersion("EmployeeTagRemovedEvent", 1)]
    public class TagRemovedEvent : AggregateEvent<EmployeeAggregate, EmployeeId>
    {
        public TagRemovedEvent(string tag)
        {
            Tag = tag;
        }

        public string Tag { get; }
    }
}