﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.InteractionStatistic.Events
{
    [EventVersion("InteractionStatisticModifiedDossierIdEvent", 1)]
    public class InteractionStatisticModifiedDossierIdEvent: AggregateEvent<InteractionStatisticAggregate, InteractionStatisticId>
    {
        public InteractionStatisticModifiedDossierIdEvent(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
