﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.InteractionStatistic.Events
{
    [EventVersion("InteractionStatisticModifiedTicketIdEvent", 1)]
    public class InteractionStatisticModifiedTicketIdEvent : AggregateEvent<InteractionStatisticAggregate, InteractionStatisticId>
    {
        public InteractionStatisticModifiedTicketIdEvent(string ticketId)
        {
            TicketId = ticketId;
        }

        public string TicketId { get; }
    }
}
