﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.NeoDuty.Events
{
    [EventVersion("NeoDutyNoteModifiedEvent", 1)]
    public class NeoDutyNoteModifiedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public NeoDutyNoteModifiedEvent(string note)
        {
            Note = note;
        }

        public string Note { get; }
    }
}
