﻿using CRM.Domain.NeoDuty.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.NeoDuty.Events.Timeslot
{
    [EventVersion("NeoTimeSlotRemovedEvent", 1)]
    public class NeoTimeSlotRemovedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public NeoTimeSlotRemovedEvent(TimeSlotId timeslotId)
        {
            TimeslotId = timeslotId;
        }

        public TimeSlotId TimeslotId { get; }

    }
}
