﻿using EventFlow.Entities;

namespace CRM.Domain.Ticket.Entities
{
    public class TicketComment : Entity<TicketCommentId>
    {
        public TicketComment(TicketCommentId id) : base(id)
        {
        }

        public TicketComment(TicketCommentId id,
            string commentBody,
            string commentQuote,
            string userId) : base(id)
        {
            CommentBody = commentBody;
            CommentQuote = commentQuote;
            UserId = userId;
        }

        public string CommentBody { get; set; }
        public string CommentQuote { get; set; }
        public string UserId { get; set; }
    }
}