﻿using CRM.Domain.Ticket.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("ticketCommentRemoved", 1)]
    public class CommentRemovedEvent : AggregateEvent<TicketAggregate, TicketId>
    {
        public CommentRemovedEvent(TicketCommentId ticketCommentId)
        {
            TicketCommentId = ticketCommentId;
        }

        public TicketCommentId TicketCommentId { get; }
    }
}