﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("TicketTagAddedEvent", 1)]
    public class TagAddedEvent : AggregateEvent<TicketAggregate, TicketId>
    {
        public TagAddedEvent(string tagId)
        {
            TagId = tagId;
        }

        public string TagId { get; }
    }
}