﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("TicketTagRemovedEvent", 1)]
    public class TagRemovedEvent : AggregateEvent<TicketAggregate, TicketId>
    {
        public TagRemovedEvent(string tagId)
        {
            TagId = tagId;
        }

        public string TagId { get; }
    }
}