﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("TicketReadEvent", 1)]
    public class TicketReadEvent : AggregateEvent<TicketAggregate, TicketId>
    {
        public TicketReadEvent(string userId)
        {
            UserId = userId;
        }

        public string UserId { get; }
    }
}