﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("TicketUnreadEvent", 1)]
    public class TicketUnreadEvent : AggregateEvent<TicketAggregate, TicketId>
    {
        public TicketUnreadEvent(string userId)
        {
            UserId = userId;
        }

        public string UserId { get; }
    }
}