﻿using System;
using System.Collections.Generic;
using CRM.Domain.Ticket.Entities;
using EventFlow.Snapshots;

namespace CRM.Domain.Ticket.Snapshots
{
    public class TicketSnapshot : ISnapshot
    {
        public bool Deleted { get; set; }
        public ICollection<string> TicketStatuses { get; set; } = new List<string>();
        public ICollection<string> Tags { get; set; } = new List<string>();
        public ICollection<TicketComment> Comments { get; set; } = new List<TicketComment>();
        public int? OriginalCCMMessageId { get; set; }
        public string DossierId { get; set; } = "";
        public string TicketText { get; set; } = "";
        public DateTime CreatedInCRM { get; set; }
        public DateTime LastModifiedInCRM { get; set; }
        public string CreatedCRMUser { get; set; } = "";
        public string LastModifiedCRMUser { get; set; } = "";
    }
}