﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.User.Events
{
    [EventVersion("ModuleRightCustomerGroupRemovedEvent", 1)]
    public class ModuleRightCustomerGroupRemovedEvent : AggregateEvent<UserAggregate, UserId>
    {
        public ModuleRightCustomerGroupRemovedEvent(string customerGroupId)
        {
            CustomerGroupId = customerGroupId;
        }

        public string CustomerGroupId { get; }
    }
}