﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.User.Events
{
    [EventVersion("ModuleRightCustomerRemovedEvent", 1)]
    public class ModuleRightCustomerRemovedEvent : AggregateEvent<UserAggregate, UserId>
    {
        public ModuleRightCustomerRemovedEvent(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }
    }
}