﻿using EventFlow.Aggregates;

namespace CRM.Domain.User.Events
{
    public class UserCustomerAdminModifiedEvent : IAggregateEvent<UserAggregate, UserId>
    {
        public UserCustomerAdminModifiedEvent(bool isCustomerAdmin)
        {
            IsCustomerAdmin = isCustomerAdmin;
        }

        public bool IsCustomerAdmin { get; }
    }
}