﻿using EventFlow.Aggregates;

namespace CRM.Domain.User.Events
{
    public class UserCustomerModifiedEvent : IAggregateEvent<UserAggregate, UserId>
    {
        public UserCustomerModifiedEvent(string? customerId)
        {
            CustomerId = customerId;
        }

        public string? CustomerId { get; }
    }
}