﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.User.Events
{
    [EventVersion("UserNameModifiedEvent", 1)]
    public class UserNameModifiedEvent : AggregateEvent<UserAggregate, UserId>
    {
        public UserNameModifiedEvent(string userName)
        {
            UserName = userName;
        }

        public string UserName { get; }
    }
}