﻿using EventFlow.Aggregates;

namespace CRM.Domain.User.Events
{
    public class UserTenantSetEvent: IAggregateEvent<UserAggregate, UserId>
    {
        public UserTenantSetEvent(string? tenant)
        {
            Tenant = tenant;
        }
        public string? Tenant { get; private set; } 
    }
}