﻿using CRM.Domain.User.Entities;
using CRM.Domain.User.ValueObjects;

namespace CRM.Domain.User.Models
{
    public class ModuleRightModel
    {
        public ModuleRightModel()
        {
        }

        public ModuleRightModel(ModuleRight moduleRight)
        {
            Tickets = moduleRight.Tickets;
            VirtualReception = moduleRight.VirtualReception;
            UserManagement = moduleRight.UserManagement;
            CallScript = moduleRight.CallScript;
            Statistics = moduleRight.Statistics;
            Duties = moduleRight.Duties;
            AutoTreeview = moduleRight.AutoTreeview;
        }

        public ModuleAccessLevel Tickets { get; set; } = ModuleAccessLevel.None;
        public ModuleAccessLevel VirtualReception { get; set; } = ModuleAccessLevel.None;
        public ModuleAccessLevel UserManagement { get; set; } = ModuleAccessLevel.None;
        public ModuleAccessLevel CallScript { get; set; } = ModuleAccessLevel.None;
        public ModuleAccessLevel Statistics { get; set; } = ModuleAccessLevel.None;
        public ModuleAccessLevel Duties { get; set; } = ModuleAccessLevel.None;

        public ModuleAccessLevel AutoTreeview { get; set; } = ModuleAccessLevel.None;
    }
}