﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class
        ModifyBranchAddressCommandHandler : CommandHandler<BranchAggregate, BranchId, ModifyBranchAddressCommand>
    {
        public override Task ExecuteAsync(BranchAggregate aggregate,
            ModifyBranchAddressCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.ModifyBranchAddress(command.Address), cancellationToken);
        }
    }
}