﻿using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class ModifyBranchNameCommand : Command<BranchAggregate, BranchId>
    {
        public ModifyBranchNameCommand(BranchId aggregateId,
            string branchName) : base(aggregateId)
        {
            BranchName = branchName;
        }

        public string BranchName { get; }
    }
}