﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class ModifyBranchNameCommandHandler : CommandHandler<BranchAggregate, BranchId, ModifyBranchNameCommand>
    {
        public override Task ExecuteAsync(BranchAggregate aggregate,
            ModifyBranchNameCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.ModifyBranchName(command.BranchName), cancellationToken);
        }
    }
}