﻿using System.Collections.Generic;
using CRM.Domain.Branch.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Branches.Queries
{
    public class GetBranchesByCustomerIdQuery : IQuery<List<BranchReadModel>>
    {
        public GetBranchesByCustomerIdQuery()
        {
        }

        public GetBranchesByCustomerIdQuery(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; set; }
    }
}