﻿using System.Collections.Generic;
using EventFlow.Queries;
using WebPortal.Application.CallScripts.Models;

namespace WebPortal.Application.CallScripts.Queries
{
    public class GetCallScriptsWithCommentsQuery : IQuery<List<GetCallScriptWithCommentsModel>>
    {
        public string? DossierId { get; set; }
        public int? CommentAmount { get; set; } = 5;
        public bool? CommentOrderAscending { get; set; } = false;
    }
}