﻿using WebPortal.Application.Customers.Models;
using WebPortal.Application.Extentions;

namespace WebPortal.Application.Customers.Queries
{
    public class GetAllCustomersQuery : PageQuery<GetCustomerListModel>
    {
        public GetAllCustomersQuery(bool asc,
            string sort,
            int page,
            int pageSize,
            string customerName) : base(asc, sort, page, pageSize)
        {
            CustomerName = customerName.ToLower();
        }

        public string CustomerName { get; }
    }
}