﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class RemoveDutyCommandHandler : CommandHandler<DutyAggregate, DutyId, RemoveDutyCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            RemoveDutyCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.DeleteDuty
                , cancellationToken);
        
        }
    }
}