﻿using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class UpdateDutyActionDescriptionCommand : Command<DutyAggregate, DutyId>
    {
        public UpdateDutyActionDescriptionCommand(DutyId aggregateId,
            string actionDescription) : base(aggregateId)
        {
            ActionDescription = actionDescription;
        }

        public string ActionDescription { get; set; }
    }
}