﻿using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class UpdateDutyCategoryCommand : Command<DutyAggregate, DutyId>
    {
        public UpdateDutyCategoryCommand(DutyId aggregateId,
            string category) : base(aggregateId)
        {
            Category = category;
        }

        public string Category { get; set; }
    }
}