﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class UpdateDutyCategoryCommandHandler : CommandHandler<DutyAggregate, DutyId, UpdateDutyCategoryCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            UpdateDutyCategoryCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.ModifyDutyCategory(command.Category));
        }
    }
}