﻿using System;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class UpdateDutyEndTimeCommand : Command<DutyAggregate, DutyId>
    {
        public UpdateDutyEndTimeCommand(DutyId aggregateId,
            DateTime endDate,
            string endAt) : base(aggregateId)
        {
            EndDate = endDate;
            EndAt = endAt;
        }

        public DateTime EndDate { get; set; }
        public string EndAt { get; }
    }
}