﻿using System;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class UpdateDutyStartTimeCommand : Command<DutyAggregate, DutyId>
    {
        public UpdateDutyStartTimeCommand(DutyId aggregateId,
            DateTime startDate,
            string startAt) : base(aggregateId)
        {
            StartDate = startDate;
            StartAt = startAt;
        }

        public DateTime StartDate { get; set; }
        public string StartAt { get; }
    }
}