﻿using System.Collections.Generic;
using EventFlow.Queries;
using WebPortal.Application.Duties.Models;

namespace WebPortal.Application.Duties.Queries
{
    public class GetDutyContainingEmployeeQuery : IQuery<List<GetOverviewDutyModel>>
    {
        public GetDutyContainingEmployeeQuery(string employeeId)
        {
            EmployeeId = employeeId;
        }

        public string EmployeeId { get; set; }
    }
}