﻿using CRM.Domain.Employee.ReadModels;
using WebPortal.Application.Extentions;

namespace WebPortal.Application.Employees.Queries
{
    public class GetOnDutyEmployeesQuery : PageQuery<EmployeeReadModel>
    {
        public GetOnDutyEmployeesQuery(bool asc,
            string sort,
            int page,
            int pageSize,
            string email = "",
            string fullName = "",
            string phone = "",
            string tag = "",
            string customerId = "") : base(asc, sort, page, pageSize)
        {
            Email = email;
            FullName = fullName;
            Phone = phone;
            Tag = tag;
            CustomerId = customerId;
        }

        public string Email { get; }
        public string FullName { get; }
        public string Phone { get; }
        public string Tag { get; }
        public string CustomerId { get; }
    }
}