﻿using System;
using System.Collections.Generic;

namespace WebPortal.Application.Extentions
{
    public class PageResult<T> where T : class, new()
    {
        public int Page { get; set; }
        public int PageSize { get; set; }
        public int Total { get; set; }
        public int PageCount => (int) Math.Ceiling(Total / (double) PageSize);
        public IReadOnlyCollection<T> Results { get; set; }
    }
}