﻿using CRM.Domain.NeoDuty.Models;

namespace WebPortal.Application.NeoDuties.Models
{
    public class ContactOverviewModel
    {

        public string Id { get; set; }
        public string EmployeeId { get; set; }
        public string FullName { get; set; }
        public bool HasContactPoints { get; set; }
        public int OrderId { get; set; }

        public ContactOverviewModel(DutyContactModel x)
        {
            Id = x.Id;
            EmployeeId = x.EmployeeId;
            HasContactPoints = x.ContactPoints.Count > 0;
            FullName = "";
            OrderId = x.OrderId;
        }

    }
}
