﻿using System;
using System.Collections.Generic;

namespace WebPortal.Application.NeoDuties.Models
{
    public class NeoDutyOverviewModel
    {
        public string Id { get; set; }
        public string DutyCategoryId { get; set; }
        public bool HasChanges { get; set; }
        public bool IsDuty { get; set; }
        public bool IsFirstStart { get; set; }
        public bool IsLastStart { get; set; }
        public bool IsFirstEnd { get; set; }
        public bool IsLastEnd { get; set; }
        public string Note { get; set; }
        public DateTime Start { get; set; }
        public DateTime End { get; set; }
        public List<TimeSlotOverviewModel> TimeSlots { get; set; }
        public NeoDutyOverviewChangesModel Changes { get; set; }
    }

    public class NeoDutyOverviewChangesModel
    {
        public string Note { get; set; }
        public DateTime Start { get; set; }
        public DateTime End { get; set; }
        public List<TimeSlotOverviewModel> TimeSlots { get; set; }

        public NeoDutyOverviewChangesModel()
        {
        }

        public NeoDutyOverviewChangesModel(string note, DateTime start, DateTime end, List<TimeSlotOverviewModel> timeSlots)
        {
            Note = note;
            Start = start;
            End = end;
            TimeSlots = timeSlots;
        }
    }
}
