﻿using System;
using CRM.Domain.InteractionStatistic.Enums;

namespace WebPortal.Application.Statistics.Models
{
    public class Statistic
    {
        public string Id { get; set; }
        public string InteractionIdKey { get; set; }
        public string DossierId { get; set; }
        public int DNIS { get; set; }
        public DateTime? Established { get; set; }
        public DateTime Connected { get; set; }
        public TimeSpan Duration { get; set; }
        public DateTime Disconnected { get; set; }
        public InteractionType InteractionTypeEnum { get; set; }
        public bool TicketAvailable { get; set; }
        public string TicketId { get; set; }
    }
}