﻿using System;
using System.Collections.Generic;
using System.Text;
using CRM.Domain.InteractionStatistic.ReadModels;
using EventFlow.Queries;
using WebPortal.Application.Extentions;
using WebPortal.Application.Statistics.Models;

namespace WebPortal.Application.Statistics.Queries
{
    public class GetStatisticsQuery : IQuery<PageResult<Statistic>>
    {
        public GetStatisticsQuery(string dossierId, DateTime startDateTime,
            DateTime endDateTime, int page, bool asc, int pageSize, string sort)
        {
            DossierId = dossierId;
            StartDateTime = startDateTime;
            EndDateTime = endDateTime;
            Page = page;
            Asc = asc;
            PageSize = pageSize;
            Sort = sort;
        }

        public string DossierId { get; }
        public DateTime StartDateTime { get; }
        public DateTime EndDateTime { get; }
        public int Page { get; }
        public bool Asc { get; }
        public int PageSize { get; }
        public string Sort { get; }
    }
}