﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Ticket;
using EventFlow.Commands;
using EventFlow.ReadStores;

namespace WebPortal.Application.Tickets.Commands
{
    public class ModifyTicketCommandHandler: CommandHandler<TicketAggregate,TicketId,ModifyTicketCommand>
    {
        
     
        public override Task ExecuteAsync(TicketAggregate aggregate,
            ModifyTicketCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.ModifyTicket(command.TicketText, command.LastModified, command.LastModifiedBy));
        }
    }
}