﻿using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Ticket;
using EventFlow.Commands;
using EventFlow.MongoDB.ReadStores;

namespace WebPortal.Application.Tickets.Commands
{
    public class RemoveTicketCommandHandler: CommandHandler<TicketAggregate,TicketId,RemoveTicketCommand>
    {
        public override Task ExecuteAsync(TicketAggregate aggregate,
            RemoveTicketCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.DeleteTicket, cancellationToken);
        }
    }
}