﻿using CRM.Domain.Ticket;
using EventFlow.Commands;

namespace WebPortal.Application.Tickets.Commands
{
    public class SetTicketAsReadOrUnreadCommand : Command<TicketAggregate, TicketId>
    {
        public SetTicketAsReadOrUnreadCommand(TicketId aggregateId,
            string userId,
            bool isRead) : base(aggregateId)
        {
            UserId = userId;
            IsRead = isRead;
        }

        public string UserId { get; }
        public bool IsRead { get; }
    }
}