﻿using System;
using EventFlow.Queries;
using WebPortal.Application.Tickets.Models;

namespace WebPortal.Application.Tickets.Queries
{
    public class GetTicketStatsQuery : IQuery<GetTicketStatsModel>
    {
        public GetTicketStatsQuery(string dossierId,
            DateTime start,
            DateTime end,
            string userId)
        {
            DossierId = dossierId;
            Start = start;
            End = end;
            UserId = userId;
        }

        public string DossierId { get; }
        public DateTime Start { get; }
        public DateTime End { get; }
        public string UserId { get; }
    }
}