﻿using CRM.Domain.Ticket.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Tickets.Queries
{
    public class GetTicketWithInteractionKeyQuery : IQuery<TicketReadModel>
    {
        public string InteractionId { get; }

        public GetTicketWithInteractionKeyQuery(string interactionId)
        {
            InteractionId = interactionId;
        }
    }
}