﻿using CRM.Domain.User;
using EventFlow.Commands;

namespace WebPortal.Application.Users.Commands
{
    public class ModifyEmailUsernameCommand: Command<UserAggregate,UserId>
    {
        public string Email { get; }
        public string Username { get; }

        public ModifyEmailUsernameCommand(UserId aggregateId, string email, string username) : base(aggregateId)
        {
            Email = email;
            Username = username;
        }
    }
}