﻿using CRM.Domain.User.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Users.Queries
{
    public class GetUserByAuthIdQuery : IQuery<UserReadModel>
    {
        public GetUserByAuthIdQuery(string authenticationId)
        {
            AuthenticationId = authenticationId;
        }

        public string AuthenticationId { get; }
    }
}