﻿using WebPortal.Application.Extentions;
using WebPortal.Application.Users.Models;

namespace WebPortal.Application.Users.Queries
{
    public class GetUsersByCustomerIdQuery : PageQuery<GetUserListModel>
    {
        public GetUsersByCustomerIdQuery(bool asc,
            string sort,
            int page,
            int pageSize,
            string customerId, string filter) : base(asc, sort, page, pageSize)
        {
            CustomerId = customerId;
            Filter = filter;
        }

        public string CustomerId { get; set; }
        public string Filter { get; }
    }
}