﻿using System.Collections.Generic;
using CRM.Domain.Branch;
using CRM.Domain.Branch.Models;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Branches.Commands
{
    public class ModifyBranchContactDetailsCommand : Command<BranchAggregate, BranchId>
    {
        public ModifyBranchContactDetailsCommand(BranchId aggregateId,
            ICollection<ContactDetailModel> contactDetails) : base(aggregateId)
        {
            ContactDetails = contactDetails;
        }


        public ICollection<ContactDetailModel> ContactDetails { get; }

    }
}
