﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Branches.Commands
{
    public class ModifyBranchContactDetailsCommandHandler : CommandHandler<BranchAggregate, BranchId, ModifyBranchContactDetailsCommand>
    {
        public override Task ExecuteAsync(BranchAggregate aggregate,
            ModifyBranchContactDetailsCommand command,
            CancellationToken cancellationToken)
        {
            return  Task.Run(() =>
                aggregate.ModifyBranchContactDetails(command.ContactDetails));
        }
    }
}
