﻿using CRM.Domain.Branch.ReadModels;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Branches.Queries
{
    public class GetBranchByBranchIdQuery : IQuery<BranchReadModel>
    {
        public string BranchId { get; }

        public GetBranchByBranchIdQuery(string branchId)
        {
            BranchId = branchId;
        }
    }
}