﻿using CRM.Domain.CallScript;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.CallScripts.Commands
{
    public class ModifyCallScriptCommand : Command<CallScriptAggregate, CallScriptId>
    {
        public ModifyCallScriptCommand(CallScriptId aggregateId, string callScriptBody): base(aggregateId)
        {
            CallScriptBody = callScriptBody;
        }

        public string CallScriptBody { get; }

    }
}