﻿using CRM.Domain.CallScript;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.CallScripts.Commands
{
    public class ModifyCallScriptDossierIdCommand : Command<CallScriptAggregate, CallScriptId>
    {
        public ModifyCallScriptDossierIdCommand(CallScriptId aggregateId,
            string dossierId) : base(aggregateId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }

    }
}
