﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.CallScript;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.CallScripts.Commands
{
    public class RemoveCallScriptCommandHandler: CommandHandler<CallScriptAggregate, CallScriptId, RemoveCallScriptCommand>
    {
        public override Task ExecuteAsync(CallScriptAggregate aggregate,
            RemoveCallScriptCommand command,
            CancellationToken cancellationToken)
        {
           return Task.Run(aggregate.RemoveCallScript, cancellationToken);
        }
    }
}
