﻿using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Customer;


namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifyCustomerMainCustomerBranchCommandHandler : CommandHandler<CustomerAggregate, CustomerId, IExecutionResult, ModifyCustomerMainCustomerBranchCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(CustomerAggregate aggregate, ModifyCustomerMainCustomerBranchCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() =>
            aggregate.ModifyMainCustomerBranch(command.CustomerBranchId));
        }
    }
}
