﻿using System.Collections.Generic;
using CRM.Domain.Customer;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifyCustomerSubscriptionsCommand : Command<CustomerAggregate, CustomerId>
    {
        public ModifyCustomerSubscriptionsCommand(CustomerId aggregateId,
            ICollection<string> subscriptions) : base(aggregateId)
        {
            Subscriptions = subscriptions;
        }


        public ICollection<string> Subscriptions { get; }
    }
}
