﻿using System.Collections.Generic;
using EventFlow.Queries;
using WebPortal.CCMConnector.Application.Customers.Models;

namespace WebPortal.CCMConnector.Application.Customers.Queries
{
    public class GetCustomersWithDossiersQuery: IQuery<List<GetCustomerWithDossiersModel>>
    {
        public GetCustomersWithDossiersQuery(List<string> aggregateIds)
        {
            Ids = aggregateIds;
        }

        public List<string> Ids { get;  }

    }
}
