﻿using CRM.Domain.Dossier;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Dossiers.Commands
{
    public class ModifyDossierCustomerIdCommand : Command<DossierAggregate, DossierId>
    {
        public ModifyDossierCustomerIdCommand(DossierId aggregateId,
            string customerId) : base(aggregateId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }

    }

}
