﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Dossier;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Dossiers.Commands
{
    public class ModifyDossierCustomerIdCommandHandler : CommandHandler<DossierAggregate, DossierId, ModifyDossierCustomerIdCommand>
    {
        public override Task ExecuteAsync(DossierAggregate aggregate,
            ModifyDossierCustomerIdCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyDossierCustomerId(command.CustomerId), cancellationToken);
        }
    }
}
