﻿using CRM.Domain.Dossier;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Dossiers.Commands
{
    public class ModifyDossierNameCommand : Command<DossierAggregate, DossierId>
    {
        public ModifyDossierNameCommand(DossierId aggregateId, string name) : base(aggregateId)
        {
            Name = name;
        }

        public string Name { get; }

    }
}
