﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.Application.Dossiers.Queries
{
    public class GetDossierIdsByCCMIdsQuery: IQuery<Dictionary<string, int>>
    {
        public GetDossierIdsByCCMIdsQuery(List<int> ccmIds)
        {
            CCMIds = ccmIds;
        }

        public List<int> CCMIds { get; set; }

    }
}
