﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Dossiers.Queries
{
    public class GetDossierIdsByCustomerIdQuery: IQuery<List<string>>
    {
        public GetDossierIdsByCustomerIdQuery(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; set; }
    }
}
