﻿using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Duties.Commands
{
    public class ModifyDutyDossierIdCommand: Command<DutyAggregate,DutyId>
    {
        public ModifyDutyDossierIdCommand(DutyId aggregateId,
            string dossierId) : base(aggregateId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; private set; }
    }
}
