﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Duties.Commands
{
    public class ModifyDutyDossierIdCommandHandler: CommandHandler<DutyAggregate, DutyId, ModifyDutyDossierIdCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            ModifyDutyDossierIdCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyDutyDossierId(command.DossierId));
        }
    }
}
