﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class ModifyDutyEmployeesCommandHandler : CommandHandler<DutyAggregate, DutyId, ModifyDutyEmployeesCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            ModifyDutyEmployeesCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyDutyEmployees(command.DutyEmployeeModels));
        }
    }
}