﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Duties.Commands
{
    public class
        RemoveAllEmployeesFromDutyCommandHandler : CommandHandler<DutyAggregate, DutyId,
            RemoveAllEmployeesFromDutyCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            RemoveAllEmployeesFromDutyCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.RemoveDutyAllEmployees, cancellationToken);
        }
    }
}
