﻿using System;

namespace WebPortal.CCMConnector.Application.Duties.Models
{
    public class GetDutyToExpireModel
    {
        public string DossierId { get; set; }
        public DateTime EndDate { get; set; }
        public string EndAt { get; set; }
        public string Category { get; set; }
        public DateTime StartDate { get; set; }
        public string StartAt { get; set; }
        public int AmountOfEmployees { get; set; }

        public DateTime FullStartDateTime
        {
            get
            {
                var startStrings = StartAt.Split(':');
                var startTime = new TimeSpan(Convert.ToInt32(startStrings[0]),
                    Convert.ToInt32(startStrings[1]), 0);
                return StartDate.Date.Add(startTime);
            }
        }

        public DateTime ExpireDateTime
        {
            get
            {
                var endStrings = EndAt.Split(':');

                var endTime = new TimeSpan(Convert.ToInt32(endStrings[0]),
                    Convert.ToInt32(endStrings[1]), 0);
                return EndDate.Date.Add(endTime);
            }
        }

    }
}
