﻿using System;
using System.Collections.Generic;
using EventFlow.Queries;
using WebPortal.CCMConnector.Application.Duties.Models;

namespace WebPortal.CCMConnector.Application.Duties.Queries
{
    public class GetDutiesToExpireQuery: IQuery<List<GetDutyToExpireModel>>
    {
        public GetDutiesToExpireQuery(DateTime minimumExpired,
            string dossierId,
            bool onFixedDate
            )
        {
            MinimumExpired = minimumExpired;
            DossierId = dossierId;
            OnFixedDate = onFixedDate;
        }


        public DateTime MinimumExpired { get; set; }
        public string DossierId { get; set; }
        public bool OnFixedDate { get; set; }

    }
}
