﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Employee;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Employees.Commands
{
    public class DeleteEmployeeCommandHandler : CommandHandler<EmployeeAggregate, EmployeeId, DeleteEmployeeCommand>
    {
        public override Task ExecuteAsync(EmployeeAggregate aggregate,
            DeleteEmployeeCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.DeleteEmployee, cancellationToken);
        }
    }
}