﻿using CRM.Domain.Employee;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Employees.Commands
{
    public class ModifyEmployeeCustomerIdCommand : Command<EmployeeAggregate, EmployeeId>
    {
        public string CustomerId { get; set; }

        public ModifyEmployeeCustomerIdCommand(EmployeeId aggregateId, string customerId) : base(aggregateId)
        {
            CustomerId = customerId;
        }
    }
}
