﻿using System.Collections.Generic;
using CRM.Domain.Shared.Enums;
using EventFlow.Queries;
using WebPortal.CCMConnector.Application.Employees.Models;

namespace WebPortal.CCMConnector.Application.Employees.Queries
{
    public class GetContactDetailsByTypeQuery: IQuery<List<GetContactDetailsByTypeModel>>
    {
        public GetContactDetailsByTypeQuery(ContactDetailType detailType)
        {
            DetailType = detailType;
        }

        public ContactDetailType DetailType { get; }
    }
}
