﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Employees.Queries
{
    public class GetEmployeeIdsByCustomerIdQuery : IQuery<List<string>>
    {
        public GetEmployeeIdsByCustomerIdQuery(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; set; }

    }
}
