﻿using EventFlow.Queries;

namespace WebPortal.Application.Extentions
{
    public interface IPageQuery<T> : IQuery<PageResult<T>> where T: class, new()
    {
        bool Asc { get; }
        string Sort { get; }
        int Page { get; }
        int PageSize { get; }
    }
}