﻿namespace WebPortal.Application.Extentions
{
    public abstract class PageQuery<T> : IPageQuery<T> where T: class, new()
    {
        protected PageQuery(bool asc,
            string sort,
            int page,
            int pageSize)
        {
            Asc = asc;
            Sort = sort;
            Page = page;
            PageSize = pageSize;
        }

        public bool Asc { get; }
        public string Sort { get; }
        public int Page { get; }
        public int PageSize { get; }
    }
}