﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.InteractionStatistic;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.InteractionStats.Commands
{
    public class DeleteInteractionStatCommandHandler: CommandHandler<InteractionStatisticAggregate, InteractionStatisticId, DeleteInteractionStatCommand>
    {
        public override Task ExecuteAsync(InteractionStatisticAggregate aggregate,
            DeleteInteractionStatCommand command,
            CancellationToken cancellationToken)
        {
            return  Task.Run(aggregate.DeleteInteractionStat, cancellationToken);
        }
    }
}
