﻿using CRM.Domain.InteractionStatistic;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.InteractionStats.Commands
{
    public class ModifyInteractionStatDossierIdCommand: Command<InteractionStatisticAggregate,InteractionStatisticId>
    {
        public ModifyInteractionStatDossierIdCommand(InteractionStatisticId aggregateId,
            string dossierId) : base(aggregateId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; private set; }
    }
}
