﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.InteractionStatistic;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.InteractionStats.Commands
{
    public class ModifyInteractionStatTicketIdCommandHandler: CommandHandler<InteractionStatisticAggregate, InteractionStatisticId, ModifyInteractionStatTicketIdCommand>
    {
        public override Task ExecuteAsync(InteractionStatisticAggregate aggregate,
            ModifyInteractionStatTicketIdCommand command,
            CancellationToken cancellationToken)
        {
           return Task.Run(() =>
               aggregate.ModifyInteracationStatTicketId(command.TicketId));
        }
    }
}
