﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.InteractionStats.Queries
{
    public class GetStatisticIdsByDossierIdQuery : IQuery<List<string>>
    {
        public GetStatisticIdsByDossierIdQuery(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
