﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.InteractionStats.Queries
{
    public class GetStatisticsWithMessageIdCcmQuery: IQuery<Dictionary<string, int>>
    {
        public GetStatisticsWithMessageIdCcmQuery(List<int> messageIdsCcm)
        {
            MessageIdsCcm = messageIdsCcm;
        }

        public List<int> MessageIdsCcm { get; set; }
    }
}
