﻿using CRM.Domain.Ticket;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Tickets.Commands
{
    public class ModifyTicketDossierIdCommand : Command<TicketAggregate, TicketId>
    {
        public ModifyTicketDossierIdCommand(TicketId aggregateId,
            string dossierId) : base(aggregateId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; private set; }
    }
}
