﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Ticket;
using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Tickets.Commands
{
    public class ModifyTicketDossierIdCommandHandler : CommandHandler<TicketAggregate, TicketId, IExecutionResult, ModifyTicketDossierIdCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(TicketAggregate aggregate,
            ModifyTicketDossierIdCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyTicketDossierId(command.DossierId));
        }
    }
}
