﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Users.Queries
{
    public class GetUserIdsByCustomerIdQuery: IQuery<List<string>>
    {
        public GetUserIdsByCustomerIdQuery(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; set; }
    }
}
