﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WebPortal.CCMConnector.Data.ConnectorLogic.General;

namespace WebPortal.CCMConnector.Data.ConnectorLogic.Tickets
{
    public class GetSubficheIdsByMainficheIds : ACCMCommandAndQuery
    {
        public List<int> GetSubficheIds(List<int> mainficheIds)
        {
            using (EDMX.ProdtelesecEntities ent = new EDMX.ProdtelesecEntities())
            {
                ent.Database.Connection.ConnectionString = _prodTelesecConString;
                return ent.Customer
                    .Where(x => mainficheIds.Contains(x.Mainfiche.Value))
                    .Select(x => x.CustomerId)
                    .ToList();
            }
        }
    }
}
