﻿using System;
using EventFlow;
using EventFlow.Configuration;
using EventFlow.Queries;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.ServiceModel.Configuration;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.User;
using FirebaseAdmin;
using FirebaseAdmin.Auth;
using Google.Apis.Auth.OAuth2;
using WebPortal.CCMConnector.Application.Users.Commands;

namespace WebPortal.CCMConnector.Data.ConnectorLogic.Users
{
    /// <summary>
    /// Deze klasse wordt louter voor testen gebruikt.
    /// </summary>
    public class UserLogic
    {
        private readonly ICommandBus _commandBus;
        private readonly IQueryProcessor _queryProcessor;
        private readonly FirebaseAuth _auth;
        public UserLogic(IRootResolver serviceResolver)
        {
            _commandBus = serviceResolver.Resolve<ICommandBus>();
            _queryProcessor = serviceResolver.Resolve<IQueryProcessor>();
            var app = FirebaseApp.Create(new AppOptions()
            {
                
                Credential = GoogleCredential.FromFile(@"C:\WebPortal\key.json"),
                ProjectId = "webportal-productie",
                ServiceAccountId = "webportal-productie@appspot.gserviceaccount.com"

            });

            _auth = FirebaseAuth.GetAuth(app);
            //var tenant = _auth.TenantManager.AuthForTenant("911860446762");
            //if (tenant != null)
            //{

            //}

            //SetFireBase().ConfigureAwait(false).GetAwaiter().GetResult();

        }

        private async Task SetFireBase()
        {
            var tenantList = await _auth.TenantManager.ListTenantsAsync(null).ToList();

            if (tenantList != null)
            {
                foreach (var tenant in tenantList)
                {
                    var id = tenant.TenantId;
                }
            }

            //var uid = "aac-actiphone-web-portal";
            //var additionalClaims = new Dictionary<string, object>()
            //{
            //    {"Issuer", "https://securetoken.google.com/webportal-productie"},
            //    {"Audience", "webportal-productie"}
            //};
            //;
            //await _auth.CreateCustomTokenAsync(uid, additionalClaims);

        }

        internal async Task AddUser(string email, string userName, string? tenant, string? customerId,  CancellationToken cancellationToken )
        {

            //var userke = await _auth.GetUserAsync("user-5008cdcc-aa1d-e421-c140-707938b06f77");

            //var userke = await _auth.GetUserByEmailAsync("roeland.vanonckelen@triple-a-it.be");


            var userke = await _auth.GetUserByEmailAsync("didier.boels@aac.be");


            if (userke != null)
            {
                var providerId = userke.ProviderId;
            }
            //var userId = UserId.New;
            //var user = await _auth.CreateUserAsync(new UserRecordArgs()
            //{
            //    Uid = userId.Value,
            //    Email = email,
            //    DisplayName = userName
            //}, cancellationToken);

            //var claims = new Dictionary<string, object>()
            //{
            //    {"tenant", tenant ?? ""}
            //};

            //await _auth.SetCustomUserClaimsAsync(userId.Value, claims, cancellationToken);


            //try
            //{
            //    var command = new CreateUserCommand(userId, email, userName, customerId, true, tenant);
            //    var result = await _commandBus.PublishAsync(command, cancellationToken);
            //    if (!result.IsSuccess)
            //    {
            //        await _auth.DeleteUserAsync(userId.Value, new CancellationToken());
            //    }


            //}
            //catch (Exception e)
            //{
            //    await _auth.DeleteUserAsync(userId.Value, new CancellationToken());
            //    throw;
            //}

        }
    }
}
