﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CRM.Domain.Shared.Enums;
using WebPortal.CCMConnector.Data.Models;

namespace WebPortal.CCMConnector.Data.Logic.Chapters
{
    /// <summary>
    /// Bevat alle logica om basis van companies en companybranches op te zetten.
    /// </summary>
    public class CompanyLogic 
    {
//        #region all comments
//        public CompanyLogic(bool isActiphone, DateTime thisTime) : base(isActiphone, thisTime)
//        {
//        }

//        /// <summary>
//        /// Maakt zowel nieuwe Companies aan in WP (+ alle basisinfo) én nieuwe Treeview-subscriptions in CCM (0 users, 0 kostprijs, 0 modules)
//        /// </summary>
//        /// <param name="wpSubscr"></param>
//        internal void MakeNewTreeviewSubscriptions(List<WPSubscriptionOverview> wpSubscr)
//        {
//            var allTreeviewsCCM = _queryFromCCM.GetAllCustsWithTreeview(_isActiphone);

//            var newTreeviewSubs = allTreeviewsCCM.Where(x => !((x.MainFicheId == null && wpSubscr.Select(y => y.CustomerIdCCM).Contains(x.CCMId))
//            || (x.MainFicheId != null && wpSubscr.Select(y => y.CustomerIdCCM).Contains(x.MainFicheId.Value))))
//                .ToList();

//            if (newTreeviewSubs.Count == 0)
//            {
//                return;
//            }

//            var customersNotYetInWebPortal = newTreeviewSubs
//                .ToDictionary(x => x.CCMId > 0 ? x.CCMId : x.MainFicheId.Value, x => x.CustomerIds);

//            var allFiches = customersNotYetInWebPortal.Where(x => x.Value == null).Select(x => x.Key).ToList();
//            var mainFiches = customersNotYetInWebPortal.Where(x => x.Value != null).Select(x => x.Key).ToList();
//            var subFiches = customersNotYetInWebPortal.Where(x => x.Value != null).SelectMany(x => x.Value).ToList();
//            allFiches.AddRange(mainFiches);
//            allFiches.AddRange(subFiches);

//            List<NewWPCompanyBranch> newCompanyBranches;
//            var newCompanies = CreateNewWPCompanies(allFiches, out newCompanyBranches);
//            if (newCompanies == null)
//            {
//                //Todo: er ging iets fout. Log in eventlogger.
//            }
//            var newSubscriptions = _commandsToCCM.AddNewSubscriptionsRetunDictionary(newCompanies, _isActiphone, _mapper.GetMapper());

//            _commandsToCCM.AddNewTreeviewModuleSubscriptions(newSubscriptions, newCompanyBranches, (int)Shared.Enums.ModuleName.AutoTreeview);

//        }

//        internal void MakeNewCompaniesForSubscriptionsMadeInCCM(List<WPSubscriptionOverview> wpSubscriptions)
//        {
//            //nu nagaan of er subscriptions zijn die een companyId hebben van: 00000
//            var subscriptionsToAddCompaniesTo = wpSubscriptions.Where(x => x.CompanyIdWP == null).ToList();

//            if (subscriptionsToAddCompaniesTo.Count == 0)
//            {
//                return;
//            }

//            //We hebben nieuwe inschrijvingen.
//            //Check ook de modules. Voor het aanmaken van companies is het niet nodig de aard van de modules te checken (komt later), maar wel de subfiches.
//            var insertThis = _queryFromCCM.GetAllNotYetUploadedSubscriptions(_isActiphone, subscriptionsToAddCompaniesTo);


//            if (insertThis == null)
//            {
//                return;
//            }

//            var newCompanies = CreateNewWPCompanies(insertThis.Select(x => x.CustomerIdCCM).ToList());
//            if (newCompanies == null)
//            {
//                //Errorlogging
//            }
//            //subscriptionsToAddCompaniesTo.ForEach(x => x.CompanyIdWP = newCompanies.Single(y => y.DossierId == x.CustomerIdCCM).Id);
//            _commandsToCCM.UpdateSubscriptionsWithCompanyId(subscriptionsToAddCompaniesTo);
//        }

//        /// <summary>
//        /// Dit maakt de basisgegevens aan voor de WebPortal. In deze volgorde: Company, Address, CompanyBranch, ContactDetails voor CompanyBranch
//        /// </summary>
//        /// <param name="customersNotYetInWebPortal"></param>
//        private List<NewWPCompany> CreateNewWPCompanies(List<int> allFicheIds)
//        {
//            //        var temp = _employeesOneCust.Where(x => x.TagList
//            //.Any(y => y == tagList.SingleOrDefault(z => z == y)));
//            List<NewWPCompanyBranch> newCompanyBranches;

//            return CreateNewWPCompaniesAndBranches(allFicheIds, out newCompanyBranches);
//        }

//        private List<NewWPCompany> CreateNewWPCompanies(List<int> allFicheIds, out List<NewWPCompanyBranch> newCompanyBranches)
//        {
//            return CreateNewWPCompaniesAndBranches(allFicheIds, out newCompanyBranches);
//        }

//        private List<NewWPCompany> CreateNewWPCompaniesAndBranches(List<int> allFicheIds, out List<NewWPCompanyBranch> newCompanyBranches)
//        {
//            newCompanyBranches = null;
//            var tempCompanyItems = _queryFromCCM.GetTempCompanyItemsWithSubfiches(allFicheIds);

//            var newCompanies = tempCompanyItems.Where(x => x.SubFicheId == null)
//                .Select(x => new NewWPCompany()
//                {
//                    CompanyName = x.DossierName,
//                    CustomerId = x.CustomerId,
//                    Id = ""
//                }).ToList();

//            if (newCompanies == null)
//            {
//                //genereer errorMessage.
//                return null;
//            }

//            List<NewAddress> newAddresses;
//            List<WPContactDetail> newContactDetails;
//            CreateAllBasicInfoToCompleteCompanyInfo(tempCompanyItems, newCompanies, out newCompanyBranches, out newAddresses, out newContactDetails);

//            var subficheTags = newCompanyBranches.Where(x => x.IsHQ == false)
//    .Select(x => x.SubFicheId.ToString() + "|" + x.CompanyBranchName).ToList();

//            var allSubFicheTagsFromWP = _queryFromWebPortal.GetTagsByType(Shared.Enums.TagType.Subfiche, _mapper.GetMapper()).Select(x => x.TagName).ToList();


//            var subFicheTagsNotYetInWP = subficheTags.Where(x => !allSubFicheTagsFromWP.Any(y => y == x)).ToList();
//            try
//            {
//                _commandsToWP.UploadCompanies(newCompanies, _mapper.GetMapper());
//                _commandsToWP.UploadAddresses(newAddresses, _mapper.GetMapper());
//                _commandsToWP.UploadCompanyBranches(newCompanyBranches, _mapper.GetMapper());
//                _commandsToWP.UploadTagsByTagNames(subFicheTagsNotYetInWP, Shared.Enums.TagType.Subfiche, _mapper.GetMapper());
//                _commandsToWP.UploadContactDetails(newContactDetails, _mapper.GetMapper());
//                return newCompanies;
//            }
//            catch (Exception ex)
//            {
//                string s = ex.Message;
//            }
//            return null;
//        }

//        private void CreateAllBasicInfoToCompleteCompanyInfo(List<TempCompanyItem> tempCompanyItems, List<NewWPCompany> newCompanies, out List<NewWPCompanyBranch> newCompanyBranches, out List<NewAddress> newAddresses, out List<WPContactDetail> newContactDetails)
//        {
//            newCompanyBranches = tempCompanyItems.Select(x => new NewWPCompanyBranch()
//            {
//                CompanyBranchName = x.BranchName,
//                CompanyId = x.MainFicheId == null 
//                ? "" 
//                : newCompanies.SingleOrDefault(y => y.CustomerId == x.MainFicheId.Value).Id,
//                //Company = x.MainFicheId == null 
//                //    ? newCompanies.SingleOrDefault(y => y.DossierId == x.DossierId)
//                //    : newCompanies.SingleOrDefault(y => y.DossierId == x.MainFicheId.Value),
//                Id = "",
//                IsHQ = x.SubFicheId == null,
//                SubFicheId = x.SubFicheId,
//                TempId = x.TempId
//            }).ToList();
//            newAddresses = new List<NewAddress>();
//            foreach (var ncb in newCompanyBranches)
//            {
//                var tf = tempCompanyItems.SingleOrDefault(x => x.TempId == ncb.TempId);
//                var address = new NewAddress()
//                {
//                    BoxNumber = tf.BoxNumber,
//                    City = tf.City,
//                    Country = tf.Country,
//                    HouseNumber = tf.HouseNumber,
//                    PostalCode = tf.PostalCode,
//                    Street = tf.Street
//                };
//                var dupliAddr = newAddresses.SingleOrDefault(x =>
//                x.Street == address.Street
//                && x.City == address.City
//                && x.BoxNumber == address.BoxNumber
//                && x.Country == address.Country
//                && x.HouseNumber == address.HouseNumber
//                && x.PostalCode == address.PostalCode);
//                if (dupliAddr == null)
//                {
//                    address.Id = Guid.NewGuid();
//                    newAddresses.Add(address);
//                    ncb.Address = address;
//                    ncb.AddressId = address.Id;
//                }
//                else
//                {
//                    ncb.Address = dupliAddr;
//                    ncb.AddressId = dupliAddr.Id;
//                }
//            }

//            newContactDetails = GetContactDetails(tempCompanyItems, newCompanyBranches);
//        }

//        private List<WPContactDetail> GetContactDetails(List<TempCompanyItem> tempCompanyItems, List<NewWPCompanyBranch> newCompanyBranches)
//        {
//            var telePhoneNrs = tempCompanyItems.Where(x => !string.IsNullOrWhiteSpace(x.Phone1))
//                .Select(x => new WPContactDetail()
//                {
//                    CompanyBranchId = newCompanyBranches.SingleOrDefault(y => y.TempId == x.TempId).Id,
//                    ContactDetailName = "Office phone",
//                    ContactDetailValue = x.Phone1.Trim(),
//                    ContactType = Shared.Enums.ContactDetailType.TelephoneNr,
//                    Id = "",
//                    TempId = x.TempId
//                }).ToList();

//            var moreContactDetails = tempCompanyItems.GroupJoin(telePhoneNrs,
//                f => f.TempId, p => p.TempId, (f, p)
//                => new { fic = f, pho = p })
//            .SelectMany(x => x.pho.DefaultIfEmpty(), (f, c)
//            => new { f.fic, c })
//            .Where(x => !string.IsNullOrWhiteSpace(x.fic.Phone2)
//                && (x.c == null || x.fic.Phone2 != x.c.ContactDetailValue))
//            .Select(x => new WPContactDetail()
//            {
//                CompanyBranchId = x.c != null
//                ? x.c.CompanyBranchId
//                : newCompanyBranches.SingleOrDefault(y => y.TempId == x.fic.TempId).Id,
//                ContactDetailName = x.c == null ? "Office phone" : "Office phone 2",
//                ContactDetailValue = x.fic.Phone2.Trim(),
//                ContactType = Shared.Enums.ContactDetailType.TelephoneNr,
//                Id = "",
//                TempId = x.fic.TempId
//            }).ToList();

//            var allEmails = tempCompanyItems.Where(x => !string.IsNullOrWhiteSpace(x.Email) || !string.IsNullOrWhiteSpace(x.DefaultEmail) || !string.IsNullOrWhiteSpace(x.EmailAddress))
//                .Select(x => new TempEmail()
//                {
//                    TempId = x.TempId,
//                    EmailAddress = $"{x.Email};{x.EmailAddress};{x.DefaultEmail}"
//                }).ToList();

//            allEmails.ForEach(x => ValidateAndCreateEmailContactDetails(x));
//            //nu hebben we een emailList binnen ieder item van allEmails en kunnen we voor ieder item in de lijst een adres toevoegen.
//            var emailCds = allEmails.Where(x => x.EmailList != null && x.EmailList.Count > 0)
//                .SelectMany(x => x.EmailList, (x, oneMail) => new { x.TempId, oneMail })
//                .Select(x => new WPContactDetail()
//                {
//                    CompanyBranchId = newCompanyBranches.SingleOrDefault(y => y.TempId == x.TempId).Id,
//                    ContactDetailValue = x.oneMail,
//                    ContactDetailName = "Email",
//                    ContactType = Shared.Enums.ContactDetailType.Email,
//                    Id = "",
//                    TempId = x.TempId
//                }).ToList();

//            var websites = tempCompanyItems.Where(x => !string.IsNullOrWhiteSpace(x.HomePage) && RegexUtilities.IsValidUrl(x.HomePage))
//                .Select(x => new WPContactDetail()
//                {
//                    CompanyBranchId = newCompanyBranches.SingleOrDefault(y => y.TempId == x.TempId).Id,
//                    ContactDetailName = "Website",
//                    ContactDetailValue = x.HomePage,
//                    ContactType = Shared.Enums.ContactDetailType.Website,
//                    Id = "",
//                    TempId = x.TempId
//                }).ToList();

//            telePhoneNrs.AddRange(moreContactDetails);
//            telePhoneNrs.AddRange(emailCds);
//            telePhoneNrs.AddRange(websites);
//            return telePhoneNrs;
//        }

//        private void ValidateAndCreateEmailContactDetails(TempEmail te)
//        {
//            var allEmails = te.EmailAddress.Split(';');
//            foreach (var ae in allEmails)
//            {
//                if (RegexUtilities.IsValidEmail(ae.Trim()))
//                {
//                    if (te.EmailList == null)
//                    {
//                        te.EmailList = new List<string>();
//                    }
//                    var alreadyExists = te.EmailList.SingleOrDefault(x => x == ae.Trim());
//                    if (alreadyExists != null)
//                    {
//                        continue;
//                    }
//                    te.EmailList.Add(ae.Trim());
//                }
//            }
//        }
//#endregion
    }
}