﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CRM.Domain.Shared.Enums;
using WebPortal.CCMConnector.Data.Models;

namespace WebPortal.CCMConnector.Data.Logic.Chapters
{
    public class TreeviewLogic
    {
//        #region MyRegion

        

//        public TreeviewLogic(bool isActiphone, DateTime thisTime) : base(isActiphone, thisTime)
//        {
//        }
//        internal void GetAndPostDepartments(List<int> custIdsToPass)
//        {
//            var departmentsAdjustedInCCM = _queryFromCCM.GetTreeviewServiceChanges(custIdsToPass);

//            var departmentsAlreadyInWP = _queryFromWebPortal.GetTagsByType(Shared.Enums.TagType.Department, _mapper.GetMapper(), departmentsAdjustedInCCM);

//            var departmentsToReEnable = departmentsAlreadyInWP.Where(x => x.IsDeleted).ToList();

//            //        var temp = _employeesOneCust.Where(x => x.TagList
//            //.Any(y => y == tagList.SingleOrDefault(z => z == y)));

//            var daInWP = departmentsAlreadyInWP.Select(x => x.TagName).ToList();

//            var departmentsNotYetInWP = departmentsAdjustedInCCM.Where(x => !daInWP.Any(z => z.ToUpper() == x.ToUpper())).ToList();

//            _commandsToWP.ReEnableTags(departmentsToReEnable.Select(x => x.Id).ToList());
//            _commandsToWP.UploadTagsByTagNames(departmentsNotYetInWP, Shared.Enums.TagType.Department, _mapper.GetMapper());

//            //Alle departments zijn opgeslagen.
//            _commandsToCCM.MarkServicesAsUploadedInWP(departmentsAdjustedInCCM);
//        }

//        /// <summary>
//        ///Dit zijn Employees die (nog) niet in de WP zitten.
//        /// </summary>
//        /// <param name="custsWithTreeview"></param>
//        /// <param name="custIdsToPass"></param>
//        internal void GetAndPostNewEmployees(List<WPModules> custsWithTreeview, List<int> custIdsToPass)
//        {
//            var potentialEmployees = _queryFromCCM.GetTreeviewChanges(custIdsToPass, _mapper.GetMapper());

//            if (potentialEmployees == null || potentialEmployees.Count == 0)
//                return;

//            var custsThatHaveTreeviewChanges = custsWithTreeview.Where(x => potentialEmployees
//                .Select(y => y.CustomerId).Contains(x.CustomerIdCCM)
//                || potentialEmployees.Where(y => y.MainFicheId.HasValue).Select(y => y.MainFicheId.Value).Contains(x.CustomerIdCCM))
//                .ToList();

//            //Allereerst checken of Employees reeds in de WebPortal zitten.
//            var totallyNewEmployees = _queryFromWebPortal.FilterPotentialEmployees(custsThatHaveTreeviewChanges, potentialEmployees);
//            if (totallyNewEmployees == null || totallyNewEmployees.Count == 0)
//            {
//                _commandsToCCM.MarkTreeviewPersonsAsUploadedInWP(potentialEmployees.Select(x => x.AnsgateID).ToList());
//                return;
//            }

//            List<WPEmployee> newEmployees = new List<WPEmployee>();
//            List<EDMX.TagsEmployee> tagsEmployee = new List<EDMX.TagsEmployee>();
//            List<WPContactDetail> employeeContactDetails = new List<WPContactDetail>();

//            List<WPTag> totallyNewTags = new List<WPTag>();

//            var allDepartments = _queryFromWebPortal.GetTagsByType(Shared.Enums.TagType.Department, _mapper.GetMapper());

//            var allSubfiches = _queryFromWebPortal.GetTagsByType(Shared.Enums.TagType.Subfiche, _mapper.GetMapper());

//            var allPositions = _queryFromWebPortal.GetTagsByType(Shared.Enums.TagType.Position, _mapper.GetMapper());

//            foreach (var pe in totallyNewEmployees)
//            {
//                string compId = custsWithTreeview.First(x => pe.MainFicheId.HasValue
//                        ? x.CustomerIdCCM == pe.MainFicheId.Value
//                        : x.CustomerIdCCM == pe.CustomerId).CompanyIdWP;
//                var selectedEmp = newEmployees.SingleOrDefault(x => x.FirstName == pe.Firstname && x.LastName == pe.LastName && x.CompanyId == compId);

//                if (selectedEmp == null)
//                {
//                    selectedEmp = new WPEmployee()
//                    {
//                        CCEmail = string.IsNullOrWhiteSpace(pe.CC) ? null : pe.CC,
//                        CompanyId = compId,
//                        EmployeeComment = string.IsNullOrWhiteSpace(pe.Comments)
//                            ? null
//                            : pe.Comments,
//                        FirstName = pe.Firstname,
//                        Id = "", //todo: EmployeeId wordt hier gegenereerd?
//                        LastName = pe.LastName,
//                        SendMailWithTicket = pe.SendMail ?? false,
//                        SetTicketAsRead = pe.SetMessageToRead ?? false,
//                    };
//                    newEmployees.Add(selectedEmp);
//                }

//                if (RegexUtilities.IsValidEmail(pe.Email))
//                    employeeContactDetails.Add(new WPContactDetail("Email", pe.Email, pe.IsEmailPrivate, selectedEmp.Id, Shared.Enums.ContactDetailType.Email));

//                if (!string.IsNullOrWhiteSpace(pe.GSM))
//                {
//                    employeeContactDetails.Add(new WPContactDetail("GSM", pe.GSM, pe.IsGSMPrivate, selectedEmp.Id, Shared.Enums.ContactDetailType.TelephoneNr));
//                }
//                if (!string.IsNullOrWhiteSpace(pe.OfficePhone))
//                {
//                    employeeContactDetails.Add(new WPContactDetail("Office Phone", pe.OfficePhone, pe.IsOfficePhonePrivate, selectedEmp.Id, Shared.Enums.ContactDetailType.TelephoneNr));
//                }
//                if (!string.IsNullOrWhiteSpace(pe.PrivatePhone))
//                {
//                    employeeContactDetails.Add(new WPContactDetail("Private Phone", pe.PrivatePhone, pe.IsPrivatePhonePrivate, selectedEmp.Id, Shared.Enums.ContactDetailType.TelephoneNr));
//                }
//                if (pe.ServiceName != "Services")
//                {
//                    var depar = allDepartments
//                        .SingleOrDefault(x => x.TagName.ToUpper() == pe.ServiceName.ToUpper());
//                    AddTagToEmployee(tagsEmployee, selectedEmp, depar);
//                }
//                if (!string.IsNullOrWhiteSpace(pe.Position))
//                {
//                    var posi = allPositions.SingleOrDefault(x => x.TagName.ToUpper() == pe.Position.ToUpper());
//                    if (posi == null)
//                    {
//                        posi = totallyNewTags.SingleOrDefault(x => x.TagName.ToUpper() == pe.Position.ToUpper());
//                    }

//                    if (posi == null)
//                    {
//                        posi = new WPTag(pe.Position, Shared.Enums.TagType.Position);
//                        totallyNewTags.Add(posi);
//                    }
//                    AddTagToEmployee(tagsEmployee, selectedEmp, posi);
//                }
//                if (!string.IsNullOrWhiteSpace(pe.SubficheTagName))
//                {
//                    var subfi = allSubfiches.SingleOrDefault(x => x.TagName == pe.SubficheTagName);
//                    AddTagToEmployee(tagsEmployee, selectedEmp, subfi);
//                }
//            }

//            try
//            {
//                _commandsToWP.UploadEmployees(newEmployees, _mapper.GetMapper());
//                _commandsToWP.UploadContactDetails(employeeContactDetails, _mapper.GetMapper());
//                _commandsToWP.UploadTags(totallyNewTags, _mapper.GetMapper());
//                _commandsToWP.UploadEmployeeTags(tagsEmployee);
//                _commandsToCCM.MarkTreeviewPersonsAsUploadedInWP(potentialEmployees.Select(x => x.AnsgateID).ToList());

//            }
//            catch (Exception ex)
//            {

//                throw;
//            }
//        }

//        private static void AddTagToEmployee(List<EDMX.TagsEmployee> tagsEmployee, WPEmployee newEmp, WPTag tagToAdd)
//        {
//            if (tagToAdd == null)
//                return;
//            var existsAlready = tagsEmployee.SingleOrDefault(x => x.TagId == tagToAdd.Id && x.EmployeeId == newEmp.Id);
//            if (existsAlready != null)
//            {
//                return;
//            }
//            tagsEmployee.Add(new EDMX.TagsEmployee()
//            {
//                CreatedOn = DateTime.UtcNow,
//                LastModifiedOn = DateTime.UtcNow,
//                CreatedBy = "CCMConnector",
//                LastModifiedBy = "CCMConnector",
//                EmployeeId = newEmp.Id,
//                TagId = tagToAdd.Id,
//            });
//        }
//#endregion
    }
}