﻿
using System.Collections.Generic;
using System.Linq;

namespace WebPortal.CCMConnector.Data.Models
{
    public class IdsFromCCMandWP
    {
        public int MainIdCCM { get; set; }
        public int CustomerIdCCM { get; set; }
        public string CustomerId { get; set; }
        public string DossierId { get; set; }


        public IdsFromCCMandWP()
        {
            
        }

        public IdsFromCCMandWP(int mainAndsubIsTheSame)
        {
            MainIdCCM = mainAndsubIsTheSame;
            CustomerIdCCM = mainAndsubIsTheSame;
        }

        //public  static List<IdsFromCCMandWP> ConvertListInt (List<int> ids)
        //{

        //}


        public static bool IsEqualByDossier(IdsFromCCMandWP id1,
            IdsFromCCMandWP id2)
        {
            return id1.DossierId == id2.DossierId;
        }

        public static bool IsEqualByCustomer(IdsFromCCMandWP id1,
            IdsFromCCMandWP id2)
        {
            return id1.CustomerId == id2.CustomerId;
        }

    }


    public class IdsWithININVars: IdsFromCCMandWP
    {
        public List<string> DNISListString
        {
            get
            {
                return DNISList.Count > 0
                    ? DNISList.Select(x => x.ToString()).ToList()
                    : null;
            }
        }
        public int AnouncementSeconds { get; set; }
        public int ExtraSeconds { get; set; }
        public List<int> DNISList { get; set; }


    }

}
