﻿using System.Collections.Generic;
using System.Linq;
using WebPortal.CCMConnector.Data.ConnectorLogic;
using WebPortal.CCMConnector.Data.Models;

namespace WebPortal.CCMConnector.Data.Validation
{
    public class SplitAndValidate
    {
        internal static void ValidateAndSplitEmails(TempEmail te)
        {
            var allEmails = te.EmailAddress.Split(';');
            te.EmailList = new List<string>();
            foreach (var ae in allEmails)
            {
                if (RegexUtilities.IsValidEmail(ae.Trim()))
                {
                    var alreadyExists = te.EmailList.SingleOrDefault(x => x == ae.Trim());
                    if (alreadyExists != null)
                    {
                        continue;
                    }
                    te.EmailList.Add(ae.Trim());
                }
            }
        }
    }
}
