﻿using System.Collections.Generic;
using CRM.Domain.Branch.Models;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Branch.Events
{
    [EventVersion("BranchContactDetailsModifiedEvent", 1)]
    public class BranchContactDetailsModifiedEvent : AggregateEvent<BranchAggregate, BranchId>
    {
        public BranchContactDetailsModifiedEvent(ICollection<ContactDetailModel> contactDetails)
        {
            ContactDetails = contactDetails;
        }

        public ICollection<ContactDetailModel> ContactDetails { get; }
    }
}