﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Branch.Events
{
    [EventVersion("BranchCustomerIdModifiedEvent", 1)]
    public class BranchCustomerIdModifiedEvent : AggregateEvent<BranchAggregate, BranchId>
    {
        public BranchCustomerIdModifiedEvent(string companyId)
        {
            CompanyId = companyId;
        }

        public string CompanyId { get; }
    }
}