﻿using CRM.Domain.Shared.Enums;

namespace CRM.Domain.Branch.Models
{
    public class ContactDetailModel
    {
        public ContactDetailModel(string id,
            string contactDetailName,
            string contactDetailValue,
            bool isPrivate,
            ContactDetailType contactType)
        {
            Id = id;
            ContactDetailName = contactDetailName;
            ContactDetailValue = contactDetailValue;
            IsPrivate = isPrivate;
            ContactType = contactType;
        }

        public string ContactDetailName { get; set; }
        public string ContactDetailValue { get; set; }
        public bool IsPrivate { get; set; }
        public ContactDetailType ContactType { get; set; }

        public string? Id { get; }
    }
}