﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.CallScript.Events
{
    [EventVersion("CallScriptDossierIdModifiedEvent", 1)]
    public class CallScriptDossierIdModifiedEvent : AggregateEvent<CallScriptAggregate, CallScriptId>
    {
        public CallScriptDossierIdModifiedEvent(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get;}
    }
}
