﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Customer.Events
{
    [EventVersion("CustomerNameModifiedEvent", 1)]
    public class CustomerNameModifiedEvent : AggregateEvent<CustomerAggregate, CustomerId>
    {
        public CustomerNameModifiedEvent(string customerName)
        {
            CustomerName = customerName;
        }

        public string CustomerName { get; }
    }
}