﻿using System.Collections.Generic;
using EventFlow.Aggregates;

namespace CRM.Domain.Customer.Events
{
    public class CustomerSubscriptionsModifiedEvent : AggregateEvent<CustomerAggregate, CustomerId>
    {
        public CustomerSubscriptionsModifiedEvent(ICollection<string> subscriptions)
        {
            Subscriptions = subscriptions;
        }

        public ICollection<string> Subscriptions { get; }
    }
}