﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Customer.Events
{
    [EventVersion("CustomerWebPortalLicenseAmountModifiedEvent", 1)]
    public class CustomerWebPortalLicenseAmountModifiedEvent : AggregateEvent<CustomerAggregate, CustomerId>
    {
        public CustomerWebPortalLicenseAmountModifiedEvent(int webPortalLicenseAmount)
        {
            WebPortalLicenseAmount = webPortalLicenseAmount;
        }

        public int WebPortalLicenseAmount { get; }
    }
}