﻿using System.Collections.Generic;
using EventFlow.Snapshots;

namespace CRM.Domain.Dossier
{
    public class DossierSnapshot : ISnapshot
    {
        public DossierSnapshot(bool deleted,
            string dossierName,
            int? ccmId,
            string clientId)
        {
            Deleted = deleted;
            DossierName = dossierName;
            CCMId = ccmId;
            ClientId = clientId;
        }

        public bool Deleted { get; }
        public string DossierName { get; }
        public int? CCMId { get; }
        public string ClientId { get; }
        public ICollection<string> BranchIds { get; } = new List<string>();
    }
}