﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Dossier.Events
{
    [EventVersion("DossierCustomerIdModifiedEvent", 1)]

    public class DossierCustomerIdModifiedEvent : AggregateEvent<DossierAggregate, DossierId>
    {
        public DossierCustomerIdModifiedEvent(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }
    }
}
