﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Dossier.Events
{
    [EventVersion("DossierNameModifiedEvent", 1)]
    public class DossierNameModifiedEvent : AggregateEvent<DossierAggregate, DossierId>
    {
        public DossierNameModifiedEvent(string dossierName)
        {
            DossierName = dossierName;
        }

        public string DossierName { get; }
    }
}