﻿using EventFlow.Entities;

namespace CRM.Domain.Duty.Entities
{
    public class DutyContactPoint : Entity<DutyContactPointId>
    {
        public DutyContactPoint(DutyContactPointId id,
            string description,
            string contactDetailId) : base(id)
        {
            Description = description;
            ContactDetailId = contactDetailId;
        }

        public string ContactDetailId { get; set; }
        public string Description { get; set; }
    }
}