﻿using CRM.Domain.Duty.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Duty.Events
{
    [EventVersion("DutyEmployeeRemovedEvent", 1)]
    public class DutyEmployeeRemovedEvent : AggregateEvent<DutyAggregate, DutyId>
    {
        public DutyEmployeeRemovedEvent(DutyContactId id)
        {
            Id = id;
        }

        public DutyContactId Id { get; }
    }
}