﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Duty.Events
{
    [EventVersion("DutyModifiedDossierIdEvent", 1)]
    public class DutyModifiedDossierIdEvent : AggregateEvent<DutyAggregate, DutyId>
    {
        public DutyModifiedDossierIdEvent(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
