﻿using System.Collections.Generic;

namespace CRM.Domain.Duty.Models
{
    public class DutyEmployeeModel
    {
        public DutyEmployeeModel()
        {
        }

        public DutyEmployeeModel(string id,
            ICollection<string> tags,
            int orderId,
            string employeeId,
            ICollection<ContactPointModel> contactPoints,
            bool markedForRemoval = false)
        {
            Id = id;
            Tags = tags;
            OrderId = orderId;
            EmployeeId = employeeId;
            ContactPoints = contactPoints;
            MarkedForRemoval = markedForRemoval;
        }

        public string Id { get; set; }

        public ICollection<string> Tags { get; set; }
        public int OrderId { get; set; }
        public string EmployeeId { get; set; }
        public ICollection<ContactPointModel> ContactPoints { get; set; }
        public bool MarkedForRemoval { get; set; }
    }
}