﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.Duties.TimeSlots
{
    [EventVersion("DutyTimeSlotAddedEvent2", 1)]
    public class DutyTimeSlotAddedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyTimeSlotAddedEvent(DutyId idDuty,
            TimeSlotId idTimeSlot)
        {
            IdDuty = idDuty;
            IdTimeSlot = idTimeSlot;
        }

        public DutyId IdDuty { get; }
        public TimeSlotId IdTimeSlot { get;}
    }
}
