﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory
{
    [EventVersion("DutyCategoryGlobalTemplateIdModifiedEvent2", 1)]
    public class DutyCategoryGlobalTemplateIdModifiedEvent:  AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyCategoryGlobalTemplateIdModifiedEvent(string globalDutyTemplateId)
        {
            GlobalDutyTemplateId = globalDutyTemplateId;
        }

        public string GlobalDutyTemplateId { get; }

    }
}
