﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory
{
    [EventVersion("DutyCategoryNameModifiedEvent2", 1)]

    public class DutyCategoryNameModifiedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public string CategoryName { get; }

        public DutyCategoryNameModifiedEvent(string categoryName)
        {
            CategoryName = categoryName;
        }
    }
}
