﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory
{
    [EventVersion("DutyCategoyCreatedEvent2", 1)]
    public class DutyCategoyCreatedEvent: AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyCategoyCreatedEvent(string dossierId
             )
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
