﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.DutyTemplate
{
    [EventVersion("DutyCategoryDutyNoteModifiedEvent2", 1)]
    public class DutyCategoryDutyNoteModifiedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public DutyCategoryDutyNoteModifiedEvent(string note)
        {
            Note = note;
        }

        public string Note { get; }
    }
}
