﻿using CRM.Domain.DutyCategoryAndTemplate.Aggregates;
using CRM.Domain.DutyCategoryAndTemplate.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.DutyCategoryAndTemplate.Events.DutyCategory.DutyTemplate
{
    [EventVersion("DutyTemplateTimeSlotTemplateDeletedEvent2", 1)]

    public class DutyTemplateTimeSlotTemplateDeletedEvent : AggregateEvent<DutyCategoryAggregate, DutyCategoryId>
    {
        public TimeSlotTemplateId TemplateTimeSlotId { get;}

        public DutyTemplateTimeSlotTemplateDeletedEvent(TimeSlotTemplateId templateTimeSlotId)
        {
            TemplateTimeSlotId = templateTimeSlotId;
        }
    }
}
