﻿using CRM.Domain.Employee.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Employee.Events
{
    [EventVersion("ContactDetailRemovedEvent", 1)]
    public class ContactDetailRemovedEvent : AggregateEvent<EmployeeAggregate, EmployeeId>
    {
        public ContactDetailRemovedEvent(EmployeeContactDetailId id)
        {
            Id = id;
        }

        public EmployeeContactDetailId Id { get; }
    }
}