﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Employee.Events
{
    [EventVersion("EmployeeCustomerModifiedEvent", 1)]
    public class EmployeeCustomerModifiedEvent : AggregateEvent<EmployeeAggregate, EmployeeId>
    {
        public EmployeeCustomerModifiedEvent(string customerId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }

    }
}
