﻿using EventFlow.Aggregates;
using EventFlow.EventStores;
using System;

namespace CRM.Domain.NeoDuty.Events
{
    [EventVersion("NeoDutyEndModifiedEvent", 1)]
    public class NeoDutyEndModifiedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public DateTime End { get; }

        public NeoDutyEndModifiedEvent(DateTime end)
        {
            End = end;
        }
    }
}
