﻿using EventFlow.Aggregates;
using EventFlow.EventStores;
using System;

namespace CRM.Domain.NeoDuty.Events
{
    [EventVersion("NeoDutyStartEndModifiedEvent", 1)]
    public class NeoDutyStartEndModifiedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public NeoDutyStartEndModifiedEvent(DateTime end, DateTime start)
        {
            End = end;
            Start = start;
        }

        public DateTime End { get; }
        public DateTime Start { get;}
    }
}
