﻿using EventFlow.Aggregates;
using EventFlow.EventStores;
using System;

namespace CRM.Domain.NeoDuty.Events
{
    [EventVersion("NeoDutyStartModifiedEvent", 1)]
    public class NeoDutyStartModifiedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public NeoDutyStartModifiedEvent(DateTime start)
        {
            Start = start;
        }

        public DateTime Start { get; }
    }
}
