﻿using CRM.Domain.NeoDuty.Entities;
using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.NeoDuty.Events.Timeslot
{
    [EventVersion("NeoTimeSlotAddedEvent", 1)]
    public class NeoTimeSlotAddedEvent : AggregateEvent<NeoDutyAggregate, NeoDutyId>
    {
        public NeoTimeSlotAddedEvent(TimeSlotId timeslotId)
        {
            TimeslotId = timeslotId;
        }

        public TimeSlotId TimeslotId { get; }
    }
}
