﻿using CRM.Domain.Shared.Abstract;

namespace CRM.Domain.NeoDuty.Models
{
    public class AddTimeslotModel : TimeSlotModelAb
    {
        public AddTimeslotModel()
        {
        }

        public AddTimeslotModel(TimeSlotModelAb timeSlot, string id)
        {
            //Id is niet nodig, want er wordt een nieuw Id gegenereerd in de Aggregate.
            StartTime = timeSlot.StartTime;
            EndTime = timeSlot.EndTime;
            WeekDays = timeSlot.WeekDays;  
            Note = timeSlot.Note;
            TimeSlotName = timeSlot.TimeSlotName;
            Id = id;
        }
    }
}
