﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.Ticket.Events
{
    [EventVersion("TicketModifiedDossierIdEvent", 1)]
    public class TicketModifiedDossierIdEvent: AggregateEvent<TicketAggregate,TicketId>
    {
        public TicketModifiedDossierIdEvent(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
