﻿using System;

namespace CRM.Domain.Ticket.Models
{
    public class TicketCommentModel
    {
        public TicketCommentModel()
        {
        }

        public TicketCommentModel(string id,
            string commentBody,
            string commentQuote,
            string userId,
            DateTimeOffset timestamp
        )
        {
            Id = id;
            CommentBody = commentBody;
            CommentQuote = commentQuote;
            UserId = userId;
            CreateDate = timestamp.UtcDateTime;
            LastModifiedDate = timestamp.UtcDateTime;
        }

        public string Id { get; set; } = "";
        public string CommentBody { get; set; } = "";
        public string CommentQuote { get; set; } = "";
        public string UserId { get; set; } = "";

        public string Dossier { get; set; } = "";

        public DateTime CreateDate { get; set; }
        public DateTime LastModifiedDate { get; set; }
    }
}