﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.User.Events
{
    [EventVersion("ModuleRightDossierRemovedEvent", 1)]
    public class ModuleRightDossierRemovedEvent : AggregateEvent<UserAggregate, UserId>
    {
        public ModuleRightDossierRemovedEvent(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}