﻿using EventFlow.Aggregates;
using EventFlow.EventStores;

namespace CRM.Domain.User.Events
{
    [EventVersion("UserCompanyAdminAssignedEvent", 1)]
    public class UserCompanyAdminAssignedEvent : AggregateEvent<UserAggregate, UserId>
    {
        public UserCompanyAdminAssignedEvent(bool isCompanyAdmin)
        {
            IsCompanyAdmin = isCompanyAdmin;
        }

        public bool IsCompanyAdmin { get; }
    }
}