﻿using EventFlow.Aggregates;

namespace CRM.Domain.User.Events
{
    public class UserEmailModifiedEvent : IAggregateEvent<UserAggregate, UserId>
    {
        public UserEmailModifiedEvent(string email)
        {
            Email = email;
        }

        public string Email { get; }
    }
}