﻿namespace CRM.Domain.User.ValueObjects
{
    public class ModuleAccessLevel
    {
        public static ModuleAccessLevel ReadWrite =>
            new ModuleAccessLevel
            {
                Add = true, Read = true, Delete = true, Update = true
            };


        public static ModuleAccessLevel ReadOnly => new ModuleAccessLevel
        {
            Read = true
        };

        public static ModuleAccessLevel None => new ModuleAccessLevel();

        public bool Read { get; set; }
        public bool Add { get; set; }
        public bool Update { get; set; }
        public bool Delete { get; set; }
    }
}