﻿using System.Threading;
using System.Threading.Tasks;
using EventFlow.ReadStores;
using Microsoft.AspNetCore.Mvc;

namespace WebPortal.API.Controllers
{
    public class ReprojectController<TReadModel> : BaseController
        where TReadModel : class, IReadModel

    {
        [HttpPost]
        [Route("Reproject")]
        public async Task<IActionResult> Reproject(CancellationToken cancellationToken)
        {
            await ReadModelPopulator.PopulateAsync<TReadModel>(cancellationToken);
            return Ok();
        }

    }
}