﻿using System;

namespace WebPortal.API.Helpers
{
    public static class DateHelper
    {
        public static bool CheckRangeIsLonger(DateTime startTime,
            DateTime endTime,
            int minRange = 7)
        {
            var counter = 0;

            for (var date = startTime; date <= endTime; date = date.AddDays(1))
                counter++;

            return counter >= minRange;
        }
    }
}