﻿using System;
using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace WebPortal.Application.Service.EventsReader.Models
{
    public class Event
    {
        [BsonId]
        [BsonElement("_id")]
        public Int64 Id { get; set; }

        public object BatchId { get; set; }
        public string AggregateId { get; set; }
        public string AggregateName { get; set; }
        public Int64 AggregateSequenceNumber { get; set; }
        public string Data { get; set; }
        public string Metadata { get; set; }
    }
}