﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class DeleteBranchCommandHandler : CommandHandler<BranchAggregate, BranchId, DeleteBranchCommand>
    {
        public override Task ExecuteAsync(BranchAggregate aggregate,
            DeleteBranchCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.RemoveBranch, cancellationToken);
        }
    }
}