﻿using CRM.Domain.Branch;
using CRM.Domain.Branch.Models;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class ModifyBranchAddressCommand : Command<BranchAggregate, BranchId>
    {
        public ModifyBranchAddressCommand(BranchId aggregateId,
            AddressModel address) : base(aggregateId)
        {
            Address = address;
        }

        public AddressModel Address { get; }
    }
}