﻿using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class ModifyBranchCustomerIdCommand : Command<BranchAggregate, BranchId>
    {
        public ModifyBranchCustomerIdCommand(BranchId aggregateId,
            string customerId) : base(aggregateId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }
    }
}