﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.Application.Branches.Commands
{
    public class
        ModifyBranchCustomerIdCommandHandler : CommandHandler<BranchAggregate, BranchId, ModifyBranchCustomerIdCommand>
    {
        public override Task ExecuteAsync(BranchAggregate aggregate,
            ModifyBranchCustomerIdCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.ModifyBranchCustomerId(command.CustomerId), cancellationToken);
        }
    }
}