﻿using CRM.Domain.Branch.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Branches.Queries
{
    public class GetBranchByBranchIdQuery : IQuery<BranchReadModel>
    {
        public GetBranchByBranchIdQuery(string branchId)
        {
            BranchId = branchId;
        }

        public GetBranchByBranchIdQuery(string branchId,
            string customerId)
        {
            BranchId = branchId;
            CustomerId = customerId;
        }

        public string BranchId { get; set; }
        public string CustomerId { get; set; }
    }
}