﻿using CRM.Domain.CallScript;
using CRM.Domain.CallScript.Entities;
using EventFlow.Commands;

namespace WebPortal.Application.CallScripts.Commands
{
    public class RemoveCallScriptCommentCommand : Command<CallScriptAggregate, CallScriptId>
    {
        public RemoveCallScriptCommentCommand(CallScriptId aggregateId,
            CallScriptCommentId callscriptCommentId) : base(aggregateId)
        {
            CallscriptCommentId = callscriptCommentId;
        }

        public CallScriptCommentId CallscriptCommentId { get; }
    }
}