﻿using CRM.Domain.Customer.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Customers.Queries
{
    public class GetCustomerByIdQuery : IQuery<CustomerReadModel>
    {
        public GetCustomerByIdQuery(string aggregateId)
        {
            Id = aggregateId;
        }

        public string Id { get; } = "";
    }
}