﻿using System.Collections.Generic;
using CRM.Domain.Duty;
using CRM.Domain.Duty.Models;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class ModifyDutyEmployeesCommand : Command<DutyAggregate, DutyId>
    {
        public ModifyDutyEmployeesCommand(DutyId aggregateId,
            ICollection<DutyEmployeeModel> dutyEmployeeModels) : base(aggregateId)
        {
            DutyEmployeeModels = dutyEmployeeModels;
        }

        public ICollection<DutyEmployeeModel> DutyEmployeeModels { get; }
    }
}