﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.Application.Duties.Commands
{
    public class
        UpdateDutyActionDescriptionCommandHandler : CommandHandler<DutyAggregate, DutyId,
            UpdateDutyActionDescriptionCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate,
            UpdateDutyActionDescriptionCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyDutyActionDescription(command.ActionDescription));
        }
    }
}