﻿using System.Collections.Generic;
using CRM.Domain.Employee.Models;

namespace WebPortal.Application.Employees.Models
{
    public class ModifyEmployeeModel
    {
        public string Id { get; set; }
        public Address? EmployeeAddress { get; set; }
        public bool SendMailWithTicket { get; set; }
        public ICollection<EmployeeContactDetailModel> ContactDetails { get; set; }
        public ICollection<string> Tags { get; set; }
        public ICollection<string> DefaultTags { get; set; }
        public string? CcEmail { get; set; }
        public string CustomerId { get; set; }
        public string EmployeeComment { get; set; }
        public string FirstName { get; set; }
        public string? LastName { get; set; }
        public bool CanBeOnDuty { get; set; }
    }
}