﻿using System;
using EventFlow.Queries;
using WebPortal.Application.Statistics.Models;

namespace WebPortal.Application.Statistics.Queries
{
    public class GetStatisticNumbersQuery : IQuery<StatisticNumbers>
    {
        public GetStatisticNumbersQuery(string dossierId,
            DateTime start,
            DateTime end)
        {
            DossierId = dossierId;
            Start = start;
            End = end;
        }

        public string DossierId { get; }
        public DateTime Start { get; }
        public DateTime End { get; }
    }
}