﻿using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Ticket;
using EventFlow.Commands;

namespace WebPortal.Application.Tickets.Commands
{
    public class AddTicketCommandHandler: CommandHandler<TicketAggregate,TicketId,AddTicketCommand>
    {
     
        public override Task ExecuteAsync(TicketAggregate aggregate,
            AddTicketCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.CreateTicket(command.DossierId,command.TicketText,null,command.CreatedInCrm, command.LastModifiedInCrm,command.CreatedCrmUser,command.LastModifiedCrmUser,new List<string>() ),cancellationToken);
        }
    }
}