﻿using System;
using CRM.Domain.Ticket;
using EventFlow.Commands;
using MongoDB.Driver;

namespace WebPortal.Application.Tickets.Commands
{
    public class ModifyTicketCommand: Command<TicketAggregate,TicketId>
    {
        public string TicketText { get; }
        public DateTime LastModified { get;  }
        public string LastModifiedBy { get;}


        public ModifyTicketCommand(TicketId aggregateId, string ticketText, DateTime lastModified, string lastModifiedBy) : base(aggregateId)
        {
            TicketText = ticketText;
            LastModified = lastModified;
            LastModifiedBy = lastModifiedBy;
        }
    }
}