﻿using CRM.Domain.Ticket;
using CRM.Domain.Ticket.Entities;
using EventFlow.Commands;

namespace WebPortal.Application.Tickets.Commands
{
    public class RemoveTicketCommentCommand : Command<TicketAggregate, TicketId>
    {
        public RemoveTicketCommentCommand(TicketId aggregateId,
            TicketCommentId ticketCommentId) : base(aggregateId)
        {
            TicketCommentId = ticketCommentId;
        }

        public TicketCommentId TicketCommentId { get; }
    }
}