﻿using System;
using System.Collections.Generic;
using CRM.Domain.Ticket.Models;
using CRM.Domain.Ticket.ReadModels;

namespace WebPortal.Application.Tickets.Models
{
    public class GetTicketModel: TicketReadModel
    {
        public bool IsRead { get; set; }

        public bool Deleted { get;  set; }
        public ICollection<string> TicketStatuses { get;  set; } = new List<string>();
        public ICollection<string> Tags { get;  set; }

        public ICollection<TicketCommentModel> Comments { get;  set; }
            = new List<TicketCommentModel>();

        public int? OriginalCCMMessageId { get;  set; }
        public string DossierId { get;  set; }
        public string TicketText { get;  set; }
        public DateTime CreatedInCRM { get;  set; }
        public DateTime LastModifiedInCRM { get;  set; }
        public string CreatedCRMUser { get;  set; }
        public string LastModifiedCRMUser { get;  set; }
    }
}