﻿using CRM.Domain.Ticket.ReadModels;
using EventFlow.Queries;
using WebPortal.Application.Tickets.Models;

namespace WebPortal.Application.Tickets.Queries
{
    public class GetTicketQuery: IQuery<GetTicketModel>
    {
        public GetTicketQuery(string id, string userId)
        {
            Id = id;
            UserId = userId;
        }
        public string Id { get;}
        public string UserId { get; }
    }
}