﻿using System;
using System.Collections.Generic;
using System.IO;
using CRM.Domain.Ticket.ReadModels;
using EventFlow.Queries;

namespace WebPortal.Application.Tickets.Queries
{
    public class GetTicketsForExportQuery: IQuery<MemoryStream>
    {
        public string DossierId { get; }
        public DateTime StartDate { get; }
        public DateTime EndDate { get; }
        public bool IsRead { get; }
        public string UserrId { get; }
        public string FileType { get; }

        public GetTicketsForExportQuery(string dossierId, DateTime startDate, DateTime endDate, bool isRead, string userrId, string fileType)
        {
            DossierId = dossierId;
            StartDate = startDate;
            EndDate = endDate;
            IsRead = isRead;
            UserrId = userrId;
            FileType = fileType;
        }
    }
}