﻿using CRM.Domain.User;
using EventFlow.Commands;

namespace WebPortal.Application.Users.Commands
{
    public class ConnectUserToEmployeeCommand : Command<UserAggregate, UserId>
    {
        public ConnectUserToEmployeeCommand(UserId aggregateId,
            string employeeId) : base(aggregateId)
        {
            EmployeeId = employeeId;
        }

        public string EmployeeId { get; }
    }
}