﻿using CRM.Domain.User;
using CRM.Domain.User.Entities;
using CRM.Domain.User.Models;
using EventFlow.Commands;

namespace WebPortal.Application.Users.Commands
{
    public class ModifyModuleRightCustomerCommand : Command<UserAggregate, UserId>
    {
        public ModifyModuleRightCustomerCommand(UserId aggregateId,
            ModuleRightModel moduleRight,
            string customerId) : base(aggregateId)
        {
            ModuleRight = moduleRight;
            CustomerId = customerId;
        }

        public ModuleRightModel ModuleRight { get; }
        public string CustomerId { get; }
    }
}