﻿using CRM.Domain.User;
using EventFlow.Commands;

namespace WebPortal.Application.Users.Commands
{
    public class RemoveModuleRightCustomerCommand : Command<UserAggregate, UserId>
    {
        public RemoveModuleRightCustomerCommand(UserId aggregateId,
            string customerId) : base(aggregateId)
        {
            CustomerId = customerId;
        }

        public string CustomerId { get; }
    }
}