﻿using System.Collections.Generic;
using CRM.Domain.User.Models;

namespace WebPortal.Application.Users.Models
{
    public class UpdateUserModel
    {
        public string Id { get; set; } = "";
        public string Email { get; set; } = "";
        public string UserName { get; set; } = "";
        public string? CustomerId { get; set; }
        public bool IsCustomerAdmin { get; set; } = false;
        public string? EmployeeId { get; set; }
        public string? Tenant { get; set; }

        public Dictionary<string, ModuleRightModel> CustomerModuleRights { get; set; } =
            new Dictionary<string, ModuleRightModel>();

        public Dictionary<string, ModuleRightModel> DossierModuleRights { get; set; } =
            new Dictionary<string, ModuleRightModel>();

        public Dictionary<string, ModuleRightModel> CustomerGroupModuleRights { get; set; } =
            new Dictionary<string, ModuleRightModel>();
    }
}