﻿using System.Collections.Generic;
using CRM.Domain.User.ReadModels;
using EventFlow.Queries;
using WebPortal.Application.Extentions;

namespace WebPortal.Application.Users.Queries
{
    public class GetGlobalUsersQuery : PageQuery<UserReadModel>
    {
        public string Filter { get; }

        public GetGlobalUsersQuery(bool asc,
            string sort,
            int page,
            int pageSize, string filter) : base(asc, sort, page, pageSize)
        {
            Filter = filter;
        }
    }
}