﻿using CRM.Domain.Branch;
using CRM.Domain.Branch.Models;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Branches.Commands
{
    public class ModifyBranchAddressCommand : Command<BranchAggregate, BranchId>
    {
        public AddressModel Address { get; }

        public ModifyBranchAddressCommand(BranchId aggregateId, AddressModel address) : base(aggregateId)
        {
            Address = address;
        }
    }
}