﻿using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Branches.Commands
{
    public class ModifyBranchCustomerIdCommand : Command<BranchAggregate, BranchId>
    {
        public string CustomerId { get; }

        public ModifyBranchCustomerIdCommand(BranchId aggregateId, string customerId) : base(aggregateId)
        {
            CustomerId = customerId;
        }
    }
}