﻿using CRM.Domain.Branch;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Branches.Commands
{
    public class ModifyBranchNameCommand : Command<BranchAggregate, BranchId>
    {
        public string BranchName { get; }

        public ModifyBranchNameCommand(BranchId aggregateId, string branchName) : base(aggregateId)
        {
            BranchName = branchName;
        }
    }
}