﻿using System.Collections.Generic;
using CRM.Domain.Branch.ReadModels;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Branches.Queries
{
    public class GetBranchesByCustomerIdQuery : IQuery<List<BranchReadModel>>
    {
        public string CustomerId { get; }

        public GetBranchesByCustomerIdQuery(string customerId)
        {
            CustomerId = customerId;
        }
    }
}