﻿using EventFlow.Commands;
using System.Collections.Generic;
using CRM.Domain.CallScript;

namespace WebPortal.CCMConnector.Application.CallScripts.Commands
{
    public class CreateCallScriptCommand : Command<CallScriptAggregate, CallScriptId>
    {
        public CreateCallScriptCommand(CallScriptId aggregateId, string callScriptBody, string dossierId, List<string> tags) : base(aggregateId)
        {
            CallScriptBody = callScriptBody;
            DossierId = dossierId;
            Tags = tags;
        }

        public string CallScriptBody { get; private set; }
        public string DossierId { get; private set; }
        public List<string> Tags { get; private set; }

    }
}
