﻿using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.CallScript;

namespace WebPortal.CCMConnector.Application.CallScripts.Commands
{
    public class CreateCallScriptCommandHandler : CommandHandler<CallScriptAggregate, CallScriptId, IExecutionResult, CreateCallScriptCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(CallScriptAggregate aggregate, CreateCallScriptCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() => aggregate.CreateCallScript(command.CallScriptBody, command.DossierId, command.Tags));
        }
    }
}
