﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.CallScripts.Queries
{
    public class GetCallScriptIdsByDossierIdQuery : IQuery<List<string>>
    {
        public GetCallScriptIdsByDossierIdQuery(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
