﻿using System.Collections.Generic;
using EventFlow.Queries;
using WebPortal.CCMConnector.Application.CallScripts.Models;

namespace WebPortal.CCMConnector.Application.CallScripts.Queries
{
    public class GetDossierIdsAndTagsQuery: IQuery<List<GetCallScriptIdModel>>
    {
        public GetDossierIdsAndTagsQuery(List<string> dossierIds)
        {
            DossierIds = dossierIds;
        }

        public List<string> DossierIds { get; }
    }
}
