﻿using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Customer;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class DeleteCustomerCommandHandler : CommandHandler<CustomerAggregate, CustomerId, IExecutionResult, DeleteCustomerCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(CustomerAggregate aggregate, DeleteCustomerCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() =>
            aggregate.DeleteCustomer());
        }
    }
}
