﻿using CRM.Domain.Customer;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifiyCustomerWebPortalLicenseAmountCommand : Command<CustomerAggregate, CustomerId>
    {
        public ModifiyCustomerWebPortalLicenseAmountCommand(CustomerId aggregateId, int webPortalLicenseAmount)
            :base(aggregateId)
        {
            WebPortalLicenseAmount = webPortalLicenseAmount;
        }

        public int WebPortalLicenseAmount { get; private set; }
    }
}
