﻿using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Customer;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifiyCustomerWebPortalLicenseAmountCommandHandler : CommandHandler<CustomerAggregate, CustomerId, IExecutionResult, ModifiyCustomerWebPortalLicenseAmountCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(CustomerAggregate aggregate, ModifiyCustomerWebPortalLicenseAmountCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() =>
            aggregate.ModifyWebPortalLicenseAmount(command.WebPortalLicenseAmount));
        }
    }
}
