﻿using CRM.Domain.Customer;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifyCustomerMainCustomerBranchCommand : Command<CustomerAggregate, CustomerId>
    {
        public ModifyCustomerMainCustomerBranchCommand(CustomerId aggregateId, string customerBranchId) : base(aggregateId)
        {
            CustomerBranchId = customerBranchId;
        }

        public string CustomerBranchId { get; private set; }
    }
}
