﻿using CRM.Domain.Customer;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifyCustomerNameCommand : Command<CustomerAggregate, CustomerId>
    {
        public ModifyCustomerNameCommand(CustomerId aggregateId, string customerName): base(aggregateId)
        {
            CustomerName = customerName;
        }

        public string CustomerName { get; private set; }

    }
}
