﻿using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Customer;

namespace WebPortal.CCMConnector.Application.Customers.Commands
{
    public class ModifyCustomerNameCommandHandler : CommandHandler<CustomerAggregate, CustomerId, IExecutionResult, ModifyCustomerNameCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(CustomerAggregate aggregate, ModifyCustomerNameCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() =>
            aggregate.ModifyCustomerName(command.CustomerName));
        }
    }
}
