﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Dossier;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Dossiers.Commands
{
    public class DeleteDossierCommandHandler : CommandHandler<DossierAggregate, DossierId, DeleteDossierCommand>
    {
        public override Task ExecuteAsync(DossierAggregate aggregate,
            DeleteDossierCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.DeleteDossier(), cancellationToken);
        }
    }
}
