﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Dossier;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Dossiers.Commands
{
    public class ModifyDossierNameCommandHandler : CommandHandler<DossierAggregate, DossierId, ModifyDossierNameCommand>
    {
        public override Task ExecuteAsync(DossierAggregate aggregate, ModifyDossierNameCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(() =>
            aggregate.ModifyDossierName(command.Name), cancellationToken);
        }
    }
}
