﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CRM.Domain.Shared.Enums;

namespace WebPortal.CCMConnector.Application.Dossiers.Models
{
    public class GetDossierModel
    {
        public string Id { get; set; }

        public string DossierName { get; set; }
        public int? CCMId { get; set; }

    }

    public class GetFaultyDossierModel : GetDossierModel
    {
        public string CustomerId { get; set; }
        public string CustomerName { get; set; }
        public List<GetAmountOfDataAssociatedWithDossier> ConnectedToDossier { get; set; }
        public bool DossierIsRegisteredInCCM { get; set; }
    }

    public class GetAmountOfDataAssociatedWithDossier
    {
        public AggregateNameEnum Description { get; set; }
        public int Amount { get; set; }
    }
}
