﻿using CRM.Domain.Dossier.ReadModels;
using WebPortal.Application.Extentions;

namespace WebPortal.CCMConnector.Application.Dossiers.Queries
{
    public class GetAllDossiersQuery : PageQuery<DossierReadModel>
    {
        public GetAllDossiersQuery(bool asc,
            string sort,
            int page,
            int pageSize,
            string? dossierName,
            int? ccmId,
            string? clientId,
            string? branchId) : base(asc, sort, page, pageSize)
        {
            DossierName = dossierName;
            CCMId = ccmId;
            ClientId = clientId;
            BranchId = branchId;
        }

        public string? DossierName { get; }

        public int? CCMId { get; }
        public string? ClientId { get; }
        public string? BranchId { get; }
    }
}