﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Duty;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Duties.Commands
{
    public class DeleteDutyCommandHandler : CommandHandler<DutyAggregate, DutyId, DeleteDutyCommand>
    {
        public override Task ExecuteAsync(DutyAggregate aggregate, DeleteDutyCommand command, CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.DeleteDuty, cancellationToken);
        }
    }
}