﻿using System.Collections.Generic;
using EventFlow.Queries;

namespace WebPortal.CCMConnector.Application.Duties.Queries
{
    public class GetDutyIdsByDossierIdQuery : IQuery<List<string>>
    {
        public GetDutyIdsByDossierIdQuery(string dossierId)
        {
            DossierId = dossierId;
        }

        public string DossierId { get; }
    }
}
