﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.InteractionStatistic;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.InteractionStats.Commands
{
    public class ModifyInteractionStatDossierIdCommandHandler: CommandHandler<InteractionStatisticAggregate, InteractionStatisticId, ModifyInteractionStatDossierIdCommand>
    {
        public override Task ExecuteAsync(InteractionStatisticAggregate aggregate,
            ModifyInteractionStatDossierIdCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(() =>
                aggregate.ModifyInteractionStatDossierId(command.DossierId));
        }
    }
}
