﻿using CRM.Domain.InteractionStatistic;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.InteractionStats.Commands
{
    public class ModifyInteractionStatTicketIdCommand : Command<InteractionStatisticAggregate, InteractionStatisticId>
    {
        public ModifyInteractionStatTicketIdCommand(InteractionStatisticId aggregateId,
            string ticketId) : base(aggregateId)
        {
            TicketId = ticketId;
        }

        public string TicketId { get; }
    }
}
