﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.Ticket;
using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Tickets.Commands
{
    public class DeleteTicketCommandHandler : CommandHandler<TicketAggregate, TicketId, IExecutionResult, DeleteTicketCommand>
    {
        public override Task<IExecutionResult> ExecuteCommandAsync(TicketAggregate aggregate,
            DeleteTicketCommand command,
            CancellationToken cancellationToken)
        {
            return Task.Run(aggregate.DeleteTicket, cancellationToken);
        }
    }
}
