﻿using EventFlow.Queries;
using System.Collections.Generic;
using WebPortal.CCMConnector.Application.Tickets.Models;

namespace WebPortal.CCMConnector.Application.Tickets.Queries
{
    public class GetTicketIdsByCCMMessageIdsQuery: IQuery<List<GetWPAndCCMTicketIdModel>>
    {
        public GetTicketIdsByCCMMessageIdsQuery(List<int> originalCCMMessageIds)
        {
            OriginalCCMMessageIds = originalCCMMessageIds;
        }

        public List<int> OriginalCCMMessageIds { get; private set; }
    }
}
