﻿using System.Threading;
using System.Threading.Tasks;
using CRM.Domain.User;
using EventFlow.Aggregates.ExecutionResults;
using EventFlow.Commands;

namespace WebPortal.CCMConnector.Application.Users.Commands
{
    public class CreateUserCommandHandler : CommandHandler<UserAggregate, UserId, IExecutionResult, CreateUserCommand>
    {


        public override Task<IExecutionResult> ExecuteCommandAsync(UserAggregate aggregate,
            CreateUserCommand command,
            CancellationToken cancellationToken)
        {
            //var user = await _auth.CreateUserAsync(new UserRecordArgs
            //{
            //    Uid = aggregate.Id.Value, Email = command.Email, DisplayName = command.UserName
            //}, cancellationToken);
            
            //var claims = new Dictionary<string, object>()
            //{
            //    {"tenant", command.Tenant ?? ""}
            //};

            //await _auth.SetCustomUserClaimsAsync(aggregate.Id.Value, claims, cancellationToken);
            


            //return Task.Run(() =>
            //        aggregate.CreateUser(command.Email, command.UserName, command.CustomerId,
            //            command.IsCustomerAdmin, null, command.Tenant), cancellationToken);

            return Task.Run(
                () => aggregate.CreateUser(command.Email, command.UserName, command.CustomerId, command.IsCustomerAdmin,
                    null, command.Tenant), cancellationToken);

        }
    }
}