﻿using System.Collections.Generic;
using System.Linq;

namespace WebPortal.CCMConnector.ConfigConsole
{
    public class CommandList
    {
        public static List<string> GetCommandList(string rootNode = null, int level = 0)
        {
            if (rootNode == null)
            {
                string[] allCommands = {"repair: Repair dossiers or tickets",
                    "replace: Replace contactdetailtype by another",
                    "/h: Get overview commands"};
                return allCommands.ToList();
            }
                switch (level)
                {
                    case 1:
                        switch (rootNode)
                        {
                            case "REPAIR":
                                string[] allCommands = {"dossiers: Clean up all duplicate and invalid dossiers.", "tickets: Clean up all duplicate tickets."};
                                return allCommands.ToList();
                        case "REPLACE":
                            string[] allReplace =
                            {
                                "contactDetailTypes: Replace all contactDetailTypes of type A by contactDetailTypes of type B for any employee."
                            };
                            return allReplace.ToList();
                        }
                        break;
                        
                }

            return null;
        }
    }
}
