﻿using System;

namespace WebPortal.CCMConnector.ConfigConsole.UI
{
    public class WriteText
    {
        internal static void WriteInstruction(string theText)
        {
            Console.BackgroundColor = ConsoleColor.DarkBlue;
            Console.ForegroundColor = ConsoleColor.Yellow;
            Console.WriteLine(theText);
            Console.ResetColor();
        }

        internal static void WriteResultInfo(string theText)
        {
            Console.BackgroundColor = ConsoleColor.White;
            Console.ForegroundColor = ConsoleColor.DarkBlue;
            Console.WriteLine(theText);
            Console.ResetColor();
        }

        internal static void WriteInfo(string theText)
        {
            Console.ForegroundColor = ConsoleColor.Yellow;
            Console.WriteLine(theText);
            Console.ResetColor();
        }

        internal static void WriteError(string theText)
        {
            Console.ForegroundColor = ConsoleColor.Red;
            Console.WriteLine(theText);
            Console.ResetColor();
        }

    }
}
