﻿using System;
using WebPortal.CCMConnector.Data.ConnectorLogic;

namespace WebPortal.CCMConnector.ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Welcome to the Treeview-uploader for the WebPortal.");
            Console.WriteLine("Please provide a connection-string");
            var conString = Console.ReadLine();
            Console.WriteLine($"Please provide database-name for '{conString}'");
            var dbName = Console.ReadLine();
            Console.WriteLine("Thank you. Please wait, uploading treeview customers...");
            //doe upload
            try
            {
                ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);
                connectorLogic.ManualUpload();

                Console.WriteLine("Treeview customers uploaded!");
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
            Console.ReadLine();
        }
    }
}
