﻿using System.Collections.Generic;
using System.Linq;
using WebPortal.CCMConnector.Data.ConnectorLogic.General;

namespace WebPortal.CCMConnector.Data.ConnectorLogic.Employees.CommandsCCM
{
    public class SetEmployeesAsUploadedCommand : ACCMCommandAndQuery
    {
        public static void SetEmployeesAsUploaded(List<int> customerIds)
        {
            using (EDMX.ProdtelesecEntities ent = new EDMX.ProdtelesecEntities())
            {
                ent.Database.Connection.ConnectionString = _prodTelesecConString;
                var employees = ent.Treeview.Where(x => customerIds.Contains(x.CustomerId)).ToList();
                employees.ForEach(x => x.UploadedInWP = true);
                ent.SaveChanges()
                    ;
            }
        }
    }
}
