﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace WebPortal.CCMConnector.Data.ConnectorLogic.Users.WebRequests
{
    public class RequestsForIdentityServer
    {
        public void GetIdentityServerGuidForUser(string email, string firstName, string lastName)
        {
            string requestUri = $"http://aac-is4-api.azurewebsites.net/api/users";
            var request = HttpWebRequest.Create(requestUri);
            request.ContentType = "application/json";
            request.Method = "POST";

            using (var streamWriter = new StreamWriter(request.GetRequestStream()))
            {
                string json = $"\"email\": \"{email}\","
                    + $"\"firstName\": \"{firstName}\","
                   + $"\"lastName\": \"{lastName}\"";
                streamWriter.Write(json);
            }

            var response = (HttpWebResponse)request.GetResponse();
            if (response.StatusCode != HttpStatusCode.OK)
            {
                throw new Exception(response.StatusCode.ToString());
            }

            using (var s = response.GetResponseStream())

            {
                using (var sr = new StreamReader(s))
                {
                    var stringJson = sr.ReadToEnd();

                    //var result = JsonConvert.DeserializeObject<IEnumerable<IdentityServerModel>>(stringJson);
                    //if ((result == null || result.Count() == 0)) 
                    //{
                    //    throw new Exception("No info from identityServer");
                    //}
                    //return result;
                }
            }
        }

    }
}
