﻿using System;
using System.Collections.Generic;
using WebPortal.CCMConnector.Data.Models.AbstractModels;

namespace WebPortal.CCMConnector.Data.Models
{
    public class TempCompanyItem: ABranchModel
    {
        public string Tenant { get; set; }
        public int ClientId { get; set; }
        public int MaxUsers { get; set; }

        public Guid TempId { get; set; }
        public int? MainFicheId { get; set; }
        public int CustomerId { get; set; }
        public string CustomerName { get; set; }
        public string DossierName { get; set; }
        public string DossierId { get; set; }

        public int? SubFicheId { get; set; }





        /// <summary>
        /// enkel te gebruiken wanneer je nieuwe subscriptions maakt, anders negeren.
        /// </summary>
        public bool IsSubscription { get; set; }    

        public TempWPSubscription TempSubscription { get; set; }
        public TempWPCustomerModule TempCustomerModule { get; set; }


        public List<TempCompanyItem> CompanyBranches { get; set; }


        public override bool Equals(object obj)
        {
            var otherTCI = (TempCompanyItem) obj;
            return ClientId == otherTCI.ClientId && MainFicheId == otherTCI.MainFicheId &&
                   CustomerId == otherTCI.CustomerId && SubFicheId == otherTCI.SubFicheId;
        }
    }
    public class TempEmail
    {
        public Guid TempId { get; set; }
        public string EmailAddress { get; set; }
        public List<string> EmailList { get; set; }
    }
}
