﻿using System;
using System.Collections.Generic;

namespace WebPortal.CCMConnector.Data.Models
{
    public class TempMessageAndVersion
    {
        public int MessageId { get; set; }
        public int Version { get; set; }
        public IdsFromCCMandWP MainAndSubficheIdAndDossierId { get; set; }
        public int? MainFicheId { get; set; }
        public string MessageText { get; set; }
        public DateTime CreatedInCRM { get; set; }
        public DateTime LastModifiedInCRM { get; set; }
        public string CreatedCRMUser { get; set; }
        public string LastModifiedCRMUser { get; set; }
        public string SubficheTag { get; set; }
        public  int CustomerId { get; set; }
        public bool ControllerOK { get; set; }
        public bool IsRead { get; set; }
        public string InteractionId { get; set; }

        public List<TempStructuredMessage> StructuredMessages { get; set; }

    }

    public class TempDynamicParameter
    {
        public int MessageId { get; set; }
        public int OrderId { get; set; }
        public string Question { get; set; }
        public string Answer { get; set; }
    }

    public class TempStructuredMessage
    {
        public string MessageName { get; set; }
        public string MessageValue { get; set; }
        public int OrderId { get; set; }
        public int? DynamicParameterId { get; set; }
        public string LabelText { get; set; }


    }

}
