﻿using System;
using System.Threading;
using System.Threading.Tasks;
using WebPortal.CCMConnector.Data.ConnectorLogic;
using WebPortal.CCMConnector.Data.ConnectorLogic.General;
using WebPortal.CCMConnector.Data.ConnectorLogic.Users;
using Xunit;

namespace WebPortal.CCMConnector.XUnitTest
{
    public class TestConMongoCCM
    {
        //string conString = "mongodb://localhost";
        //string conString = "mongodb://aac-dev01.cisicc.local";
        //string dbName = "WPMongoTest";
        string conString = "mongodb://connector:connector123456789@192.168.121.11";
        string dbName = "wp_dev";
        //string dbName = "wp_staging";
        //string dbName = "wp_prod";


        [Fact]
        public void TestUploadCompanies()
        {
            //ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName, new DateTime(2020,2,18));
            ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);

            connectorLogic.RepeatedUpload();
            //new GetAllCustomersWithTreeviewQuery().GetAllCustsWithTreeview();
        }
        [Fact]
        private void GenerateSomeGuids()
        {
            var whatGuid = Guid.NewGuid();
            var whatId = $"what-{whatGuid}";
        }

        //[Fact]
        //public void TestStagingDeleteCustomer()
        //{
        //    ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);
        //    connectorLogic.ModificationDeleteTest();

        //}

        [Fact]
        public async Task CreateNewUsers()
        {
            var connectorLogic = new ConnectorLogic(conString, dbName, true);
            await connectorLogic.TestCreateUser("roelandvanonckelen@yahoo.co.uk", "TestUserAuxiFina", "AAC",
                "customer-7a4257f1-0727-4500-a40a-1a2035747ecc", new CancellationToken());

        }

        //[Fact]
        //public void DeleteDossiers()
        //{
        //    var connectorLogic = new ConnectorLogic(conString, dbName, true);
        //    connectorLogic.DeleteDossierTest("dossier-f4bf4d80-b031-4a25-9b07-ab68b4812e2a");
        //    connectorLogic.DeleteDossierTest("dossier-644ea66b-b4be-4566-937b-c59dcb8bda67");
        //    connectorLogic.DeleteDossierTest("dossier-13af8a6e-f872-4a0e-a9bc-8be6b1c574c0");

        //}

        //[Fact]
        //public void TestNewclients()
        //{
        //    var tempCusts = new GetMainFichesQuery().GetMainFiches();
        //    var newClients = new CreateClientsCommand().CreateClients(tempCusts);
        //    Assert.True(newClients != null);
        //}

        //[Fact]
        //public void UploadTreeviewCustsAndDossiers()
        //{
        //    ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);
        //    connectorLogic.ManualUpload();
        //}

        //[Fact]
        //public void DeleteThisDossierPlease()
        //{
        //    ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);
        //    connectorLogic.TestDeleteDossier();
        //}

        //[Fact]
        //public void TestDutyAlarms()
        //{
        //    ConnectorLogic connectorLogic = new ConnectorLogic(conString, dbName);
        //    connectorLogic.TestDutyAlarm();
        //}



    }
}