﻿//using Xunit;
//using EventFlow;
//using EventFlow.Extensions;
//using EventFlow.Configuration;
//using System;
//using EventFlow.MongoDB.Extensions;
//using EventFlow.Queries;
//using System.Threading;
//using CRM.Domain.User;
//using CRM.Domain.User.ReadModels;
//using WebPortal.Application.Users.Queries;
//using CRM.Domain.Customer;
//using CRM.Domain.User.ValueObjects;
//using EventFlow.EventStores.EventStore.Extensions;
//using CRM.Domain.User.Entities;

//namespace WebPortal.XUnitTest
//{
//    //Handler
//    public class TestUser
//    {
//        private static Guid _userGuid = new Guid("09591c98-b4e9-4641-94a1-07442138eb00");
//        private UserId _userId = UserId.With(_userGuid);
//        private static Guid _user2Guid = new Guid("300bac54-13df-46fc-b2e0-640b8e6497ad");
//        private UserId _user2Id = UserId.With(_user2Guid);
//        private static Guid _user3Guid = new Guid("ad9c8280-36e7-45b2-9fb8-1066bfca18b2");
//        private UserId _user3Id = UserId.With(_user3Guid);
//        private static Guid _custGuid = new Guid("3807a41d-c74b-40ab-aaae-207913576a82");
//        private CustomerId _customerId = CustomerId.With(_custGuid);
//        private static Guid _employeeGuid = new Guid("b961d14f-991e-450c-98ea-f01734addc97");
//        private string _employeeId = "employee-" + _employeeGuid;

//        private  static  Guid _moduleRightGuid2 = new Guid("f670378d-136f-4b00-b844-49a24fcf522e");
//        private ModuleRightId _moduleRightId2 = ModuleRightId.With(_moduleRightGuid2);

//        private static Guid _moduleRightGuid1 = new Guid("f17c3378-5559-471a-9ef4-ff78b7b7f6f0");
//        private ModuleRightId _moduleRightId1 = ModuleRightId.With(_moduleRightGuid1);

//        private static IRootResolver Setup()
//        {
//            //var conString = "mongodb://aac-dev01.cisicc.local";

//            var conString = "mongodb://localhost";

//            return EventFlowOptions.New
//            .AddDefaults(typeof(UserAggregate).Assembly)
//            .AddCommands(new Type[]{typeof(CreateUserCommand),
//                typeof(ModifyModuleRightCustomerCommand),
//                typeof(AddModuleRightCustomerCommand),
//                typeof(ConnectUserToAuthenticationCommand),
//                typeof(DeleteUserCommand),
//                typeof(ConnectUserToEmployeeCommand),
//                typeof(RemoveModuleRightCustomerCommand)})
//            .AddCommandHandlers(new Type[] { typeof(CreateUserCommandHandler),
//                typeof(ModifyModuleRightCustomerCommandHandler),
//                typeof(AddModuleRightCustomerCommandHandler),
//                typeof(ConnectUserToAuthenticationCommandHandler),
//                typeof(DeleteUserCommandHandler),
//                typeof(ConnectUserToEmployeeCommandHandler),
//                typeof(RemoveModuleRightCustomerCommandHandler)})
//            .AddQueryHandlers(new Type[] { typeof(GetUserByAuthIdQueryHandler),
//                typeof(GetUserQueryHandler),
//                typeof(GetUsersByCustomerIdQueryHandler),
//                typeof(GetAdminUserWithModuleRightsQueryHandler),
//                typeof(IsUserEmailAvailableQueryHandler) })
//            .ConfigureMongoDb(conString, "WPMongoTest")
//            //.UseEventStoreEventStore(new Uri("tcp://admin:changeit@localhost:1113"), EventStore.ClientAPI.ConnectionSettings.Create().KeepReconnecting().KeepRetrying().Build())
//            .UseMongoDbEventStore()
//            .UseMongoDbSnapshotStore()
//            .UseMongoDbReadModel<UserReadModel>()

//            //.AddAspNetCore()
//            .CreateResolver();
//        }

//        [Fact]
//        public void TestCreateUser()
//        {
//            var collection = Setup();
//            var commandBus = collection.Resolve<ICommandBus>();

//            var command = new CreateUserCommand(_userId, "test@testuser.be", "Acid Test", _customerId.Value, true);
//            var result = commandBus.PublishAsync(command, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            ModuleRight mRight = new ModuleRight(_moduleRightId1);
//            mRight.CallScript = ModuleAccessLevel.ReadWrite;
//            mRight.Statistics = ModuleAccessLevel.ReadWrite;
//            mRight.UserManagement = ModuleAccessLevel.ReadWrite;
//            mRight.Tickets = ModuleAccessLevel.ReadWrite;

//            var command2 = new AddModuleRightCustomerCommand(_userId, mRight, _customerId.Value);
//            result = commandBus.PublishAsync(command2, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            var command3 = new ConnectUserToAuthenticationCommand(_userId, "Fake Authentication");
//            result = commandBus.PublishAsync(command3, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            var command4 = new ConnectUserToEmployeeCommand(_userId, _employeeId);
//            result = commandBus.PublishAsync(command4, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            mRight.Tickets = ModuleAccessLevel.ReadOnly;
//            var command5 = new ModifyModuleRightCustomerCommand(_userId, mRight, _customerId.Value);
//            result = commandBus.PublishAsync(command5, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//        }

//        [Fact]
//        public void TestModifyUserRight()
//        {
//            var collection = Setup();
//            var commandBus = collection.Resolve<ICommandBus>();
//            ModuleRight mRight = new ModuleRight(_moduleRightId1);
//            mRight.CallScript = ModuleAccessLevel.ReadWrite;
//            mRight.Statistics = ModuleAccessLevel.ReadWrite;
//            mRight.UserManagement = ModuleAccessLevel.ReadWrite;
//            mRight.Tickets = ModuleAccessLevel.ReadWrite;

//            mRight.Tickets = ModuleAccessLevel.ReadOnly;
//            var command5 = new ModifyModuleRightCustomerCommand(_userId, mRight, _customerId.Value);
//            var result = commandBus.PublishAsync(command5, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//        }

//        [Fact]
//        public void TestCreateSecondUser()
//        {
//            var collection = Setup();
//            var commandBus = collection.Resolve<ICommandBus>();

//            var command = new CreateUserCommand(_user2Id, "whythehell@not.be", "Katarina The Great", _customerId.Value, false);
//            var result = commandBus.PublishAsync(command, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            ModuleRight mRight = new ModuleRight(_moduleRightId2);
//            mRight.CallScript = ModuleAccessLevel.ReadOnly;
//            mRight.Statistics = ModuleAccessLevel.ReadOnly;
//            //mRight.UserManagement.Add = false;
//            //mRight.UserManagement.Update = true;
//            //mRight.UserManagement.Read = true;
//            //mRight.UserManagement.Delete = false;

//            var command2 = new AddModuleRightCustomerCommand(_user2Id, mRight, _customerId.Value);
//            result = commandBus.PublishAsync(command2, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//            command = new CreateUserCommand(_user3Id, "three@stooges.com", "Joe Besser", _customerId.Value, false);
//            result = commandBus.PublishAsync(command, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);

//        }


//        [Fact]
//        public void TestGetusers()
//        {
//            var collection = Setup();
//            var queryProcessor = collection.Resolve<IQueryProcessor>();

//            var query = new GetAdminUserWithModuleRightsQuery(_customerId.Value);
//            var adminUser = queryProcessor.Process(query, new CancellationToken());
//            Assert.Equal("test@testuser.be", adminUser.Email);

//            var q2 = new GetUserByAuthIdQuery("Fake Authentication");
//            var userke = queryProcessor.Process(q2, new CancellationToken());
//            Assert.Equal("test@testuser.be", userke.Email);

//            var q3 = new GetUserQuery(_userId.Value);
//            userke = queryProcessor.Process(q3, new CancellationToken());
//            Assert.Equal("test@testuser.be", userke.Email);

//            var q4 = new GetUsersByCustomerIdQuery(true, "UserName", 1, 12, _customerId.Value);
//            var allUsers = queryProcessor.Process(q4, new CancellationToken());
//            Assert.Equal(3, allUsers.Results.Count);

//            q4 = new GetUsersByCustomerIdQuery(true, "UserName", 1, 12, null);
//            allUsers = queryProcessor.Process(q4, new CancellationToken());
//            Assert.Equal(3, allUsers.Results.Count);

//            q4 = new GetUsersByCustomerIdQuery(true, "UserName", 1, 12, "whatever");
//            allUsers = queryProcessor.Process(q4, new CancellationToken());
//            Assert.Equal(0, allUsers.Results.Count);

//            q4 = new GetUsersByCustomerIdQuery(true, "UserName", 4, 12, _customerId.Value);
//            allUsers = queryProcessor.Process(q4, new CancellationToken());
//            Assert.Equal(0, allUsers.Results.Count);

//            var q5 = new IsUserEmailAvailableQuery("vanalles@niks.be");
//            var yep = queryProcessor.Process(q5, new CancellationToken());
//            Assert.True(yep);

//            q5 = new IsUserEmailAvailableQuery("whythehell@not.be");
//            var nope = queryProcessor.Process(q5, new CancellationToken());
//            Assert.False(nope);
            
//        }

//        [Fact]
//        public void CommandsToFail()
//        {
//            var collection = Setup();
//            var commandBus = collection.Resolve<ICommandBus>();

//            var nonExtisingUser = new Guid("9cf5ae42-ad5a-4341-a13d-3968ab9b5606");
//            var command = new ConnectUserToEmployeeCommand(UserId.With(nonExtisingUser), "maakt niet uit");
//            var result = commandBus.PublishAsync(command, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(!result.IsSuccess);

//            ModuleRight mRight = new ModuleRight(ModuleRightId.New);
//            mRight.CallScript = ModuleAccessLevel.ReadOnly;
//            mRight.Statistics = ModuleAccessLevel.ReadOnly;

//            //modfieren van modulerights vooraleer deze zijn toegewezen.
//            var command2 = new ModifyModuleRightCustomerCommand(_user3Id, mRight, _customerId.Value);
//            result = commandBus.PublishAsync(command2, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(!result.IsSuccess);

//            var command3 = new DeleteUserCommand(UserId.New);
//            result = commandBus.PublishAsync(command3, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(!result.IsSuccess);

//        }

//        [Fact]
//        public void TestRemoveUsers()
//        {
//            var collection = Setup();
//            var commandBus = collection.Resolve<ICommandBus>();

//            //var command = new DeleteUserCommand(_user3Id);
//            //var result = commandBus.PublishAsync(command, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            //Assert.True(result.IsSuccess);

//            var command2 = new RemoveModuleRightCustomerCommand(_user2Id, _customerId.Value);
//           var result = commandBus.PublishAsync(command2, new CancellationToken()).ConfigureAwait(false).GetAwaiter().GetResult();
//            Assert.True(result.IsSuccess);
//        }
//    }
//}
