const YAML = require('yaml');

module.exports.readVersion = function (contents) {
  return YAML.parse(contents).spec.template.spec.containers[0].image.split(
    ':'
  )[1];
};

module.exports.writeVersion = function (contents, version) {
  const json = YAML.parse(contents);
  json.spec.template.spec.containers[0].image =
    json.spec.template.spec.containers[0].image.split(':')[0] + ':v' + version;
  return YAML.stringify(json);
};
